/****************************************************************************
 *                                                                          *
 * File    : ids.h                                                          *
 *                                                                          *
 * Purpose : Misc ID's for menus, strings, icons etc.                       *
 *                                                                          *
 * History : Date      Reason                                               *
 *           03-02-02  Created                                              *
 *                                                                          *
 ****************************************************************************/

#ifndef _IDS_H
#define _IDS_H

//
// String ID's --------------------------------------------------------------
//

#define IDS_NULL                        10001

#define IDS_BADCOMCTLVERSION            10002
#define IDS_BADVERSION                  10003
#define IDS_OUTOFMEMORY                 10004
#define IDS_MEMORYERROR                 10005
#define IDS_COMMDLGERROR                10006
#define IDS_THREADERROR                 10007
#define IDS_DEBUGGERERROR               10008
#define IDS_EXECERROR                   10009
#define IDS_PIPEERROR                   10010
#define IDS_BADNUMBER                   10011
#define IDS_BACKUPERROR                 10012
#define IDS_CHANGEDIRERROR              10013
#define IDS_CREATEDIRERROR              10014
#define IDS_CREATEFILEERROR             10015
#define IDS_OPENFILEERROR               10016
#define IDS_READFILEERROR               10017
#define IDS_WRITEFILEERROR              10018
#define IDS_RENAMEFILEERROR             10019   // 4.0
#define IDS_DELETEFILEERROR             10020   // 5.0
#define IDS_WRITEREGERROR               10021
#define IDS_WRITEXMLERROR               10022   // 5.0
#define IDS_PRINTERROR                  10023
#define IDS_SENDMAILERROR               10024
#define IDS_HELPERROR                   10025
#define IDS_SAVENOW                     10026
#define IDS_QUITNOW                     10027
#define IDS_MUSTRELOADNOW               10028
#define IDS_RESTOREBACKUP               10029
#define IDS_WRAPFINDATBOTTOM            10030
#define IDS_WRAPFINDATTOP               10031
#define IDS_REPLACECOMPLETE             10032
#define IDS_FINDTEXTERROR               10033
#define IDS_FINDFUNCERROR               10034
#define IDS_BADDEVICECOLORS             10035
#define IDS_DELETEIMAGE                 10036
#define IDS_CANTEDITIMAGE               10037
#define IDS_BADDROPSHADOWIMAGE          10038   // 4.0
#define IDS_CREATECTRLERROR             10039
#define IDS_CREATEDLGERROR              10040
#define IDS_DUPCONTROLID                10041
#define IDS_DUPCONTROLMNEMONIC          10042
#define IDS_DUPPOPUPMNEMONIC            10043
#define IDS_NODUPMNEMONICS              10044
#define IDS_PASTEERROR                  10045
#define IDS_RESERVEDID                  10046
#define IDS_CREATERSRCERROR             10047
#define IDS_BADRESOURCENAME             10048
#define IDS_BADRESOURCETYPE             10049   // 3.0
#define IDS_DELETERESOURCE              10050
#define IDS_DUPRSRCLANGUAGE             10051
#define IDS_LOADFORMERROR               10052
#define IDS_SAVEFORMERROR               10053
#define IDS_LOADMENUERROR               10054
#define IDS_SAVEMENUERROR               10055
#define IDS_LOADACCELERROR              10056
#define IDS_SAVEACCELERROR              10057
#define IDS_LOADTEXTERROR               10058
#define IDS_SAVETEXTERROR               10059
#define IDS_LOADMESSERROR               10060   // 3.0
#define IDS_SAVEMESSERROR               10061   // 3.0
#define IDS_LOADIMAGEERROR              10062
#define IDS_SAVEIMAGEERROR              10063
#define IDS_LOADANIMERROR               10064
#define IDS_SAVEANIMERROR               10065
#define IDS_LOADEDITERROR               10066
#define IDS_SAVEEDITERROR               10067
#define IDS_LOADVERSERROR               10068
#define IDS_SAVEVERSERROR               10069
#define IDS_LOADDUMPERROR               10070
#define IDS_SAVEDUMPERROR               10071
#define IDS_ENLARGEBITMAP               10072
#define IDS_SELECTPROJROOT              10073
#define IDS_SELECTFINDPATH              10074
#define IDS_DUPPROJNAME                 10075
#define IDS_DELETEPROJECT               10076   // 4.0
#define IDS_IMPORTPROJECT               10077   // 4.0
#define IDS_IMPORTPROJFILE              10078
#define IDS_DELETEPROJFILE              10079
#define IDS_ADDPROJFILE                 10080
#define IDS_BADPROJFILEPATH             10081   // 6.0
#define IDS_EXTRACTZIPERROR             10082
#define IDS_NOPROJZIPFILES              10083
#define IDS_NOPROJEXECUTOR              10084
#define IDS_DUPTEXTID                   10085
#define IDS_SETATTRIBERROR              10086
#define IDS_BADCOMPRESSION              10087
#define IDS_NEEDCERTIFICATE             10088   // 5.0
#define IDS_BADMACRONAME                10089
#define IDS_DUPMACRONAME                10090
#define IDS_NOMACROVALUE                10091   // 6.0
#define IDS_DUPCUSTCNTL                 10092
#define IDS_CANTLOADDLL                 10093
#define IDS_BADCUSTCNTL                 10094
#define IDS_CANTINITCUSTCNTL            10095
#define IDS_CUSTCNTLINUSE               10096
#define IDS_CUSTCNTLERROR               10097
#define IDS_BADLABELNAME                10098
#define IDS_DUPLABELS                   10099
#define IDS_DUPLABELID                  10100
#define IDS_DUPLABELNAME                10101
#define IDS_BADACCELKEY                 10102
#define IDS_BADSTRINGVALUE              10103
#define IDS_BADTOOLTEXT                 10104
#define IDS_BADTOOLCOMMAND              10105
#define IDS_BADTOOLMACRO                10106
#define IDS_BADHELPTEXT                 10107
#define IDS_BADHELPCOMMAND              10108
#define IDS_BADSNIPPETNAME              10109   // 5.0
#define IDS_DUPSNIPPETNAME              10110   // 5.0
#define IDS_BADSNIPPETCODE              10111   // 5.0
#define IDS_SAVESNIPPETERROR            10112   // 5.0
#define IDS_DUPKEY                      10113
#define IDS_NODEBUGINFO                 10114
#define IDS_STOPDEBUGGER                10115
#define IDS_EXCEPTION1                  10116
#define IDS_EXCEPTION2                  10117
#define IDS_HARDWAREBREAK               10118   // 4.0
#define IDS_TIMESTAMPERROR              10119
#define IDS_BADBRKPNTLINE               10120
#define IDS_BADEXPRESSION               10121   // 4.0
#define IDS_NOBREAKCHAR                 10122
#define IDS_CFORMATERROR                10123   // 3.0
#define IDS_KILLPROCESS                 10124
//
#define IDS_FINDABORTED                 10125
#define IDS_FINDRESULT                  10126
#define IDS_NOFILETIME                  10127
#define IDS_FILESIZE                    10128
//
#define IDS_EDITPOPUP                   10129
#define IDS_PICTPOPUP                   10130
#define IDS_FORMPOPUP                   10131
#define IDS_MENUPOPUP                   10132
#define IDS_MESSPOPUP                   10133   // 3.0
#define IDS_RSRCPOPUP                   10134
#define IDS_DBGPOPUP                    10135
#define IDS_CUSTOMHELPPOPUP             10136   // 5.0
#define IDS_FILEFIND                    10137
#define IDS_FILEFINDQUIT                10138
#define IDS_UNDOACTION                  10139
#define IDS_REDOACTION                  10140
#define IDS_BUILDPROJ                   10141
#define IDS_REBUILDPROJ                 10142   // 5.0
#define IDS_BUILDWKSPROJ                10143   // 5.0
#define IDS_REBUILDWKSPROJ              10144   // 5.0
#define IDS_STOPBUILD                   10145   // 5.0
#define IDS_COMPILEPROJ                 10146
#define IDS_EXECUTEPROJ                 10147
#define IDS_DEBUGPROJ                   10148
#define IDS_EXCLPROJ                    10149   // 4.0
#define IDS_INCLPROJ                    10150   // 4.0
#define IDS_TOWIN64PROJ                 10151   // 6.0
#define IDS_TITLESETUP                  10152
#define IDS_TITLEPROJSETUP              10153   // 4.0
#define IDS_TITLECHOOSECOLOR            10154   // 4.0
#define IDS_TITLECUSTOMIZE              10155
#define IDS_TITLECUSTOM                 10156
#define IDS_TITLEFILE                   10157
#define IDS_TITLEVIEW                   10158
#define IDS_TITLETOOLS                  10159
#define IDS_TITLEWINDOWS                10160
#define IDS_TITLEHELP                   10161
#define IDS_TITLEMISC                   10162
#define IDS_TITLESOURCE                 10163
#define IDS_TITLEIMAGE                  10164
#define IDS_TITLERESOURCE               10165
#define IDS_TITLEDEBUG                  10166
#define IDS_TITLECURSOR                 10167
#define IDS_TITLEICON                   10168
#define IDS_TITLEBITMAP                 10169
#define IDS_TITLEMENU                   10170
#define IDS_TITLEDIALOG                 10171
#define IDS_TITLESTRINGTABLE            10172
#define IDS_TITLEACCELTABLE             10173
#define IDS_TITLEMSGTABLE               10174
#define IDS_TITLEVERSION                10175
#define IDS_TITLEANICURSOR              10176
#define IDS_TITLEANIICON                10177
#define IDS_TITLEHTML                   10178
#define IDS_TITLEXML                    10179
#define IDS_TITLEMANIFEST               10180
#define IDS_TITLERCDATA                 10181
#define IDS_TITLEVIDEO                  10182
#define IDS_TITLESOUND                  10183
#define IDS_TITLETYPELIB                10184
#define IDS_TITLEID                     10185
#define IDS_TITLETEXT                   10186
#define IDS_TITLEWORKSPACE              10187   // 4.0
#define IDS_TITLESOURCEFILES            10188
#define IDS_TITLEINCLUDEFILES           10189
#define IDS_TITLERESOURCEFILES          10190
#define IDS_TITLEOTHERFILES             10191
#define IDS_TITLEFILENAME               10192
#define IDS_TITLEFILEPATH               10193
#define IDS_TITLEFILEDATE               10194
#define IDS_TITLELASTWRITETIME          10195
#define IDS_TITLEPROJECT                10196
#define IDS_TITLEFILEFIND               10197
#define IDS_TITLEDEBUGGER_RUNNING       10198
#define IDS_TITLEDEBUGGER_STOPPED       10199
#define IDS_TITLETRACE                  10200
#define IDS_TITLEOUTPUT                 10201
#define IDS_TITLEAUTO                   10202
#define IDS_TITLELOCALS                 10203
#define IDS_TITLEGLOBALS                10204
#define IDS_TITLEREGISTERS              10205
#define IDS_TITLESTACK                  10206
#define IDS_TITLEMEMORY                 10207
#define IDS_TITLETHREADS                10208
#define IDS_TITLEMODULES                10209
#define IDS_TITLEEXCEPTIONS             10210
#define IDS_TITLEBREAKPOINTS            10211
#define IDS_TITLEWATCH                  10212
#define IDS_TITLETHREADID               10213
#define IDS_TITLESUSPENDED              10214
#define IDS_TITLEPRIORITY               10215
#define IDS_TITLEHWBREAKNOTHING         10216   // 4.0
#define IDS_TITLEHWBREAKWRITEONLY       10217   // 4.0
#define IDS_TITLEHWBREAKREADWRITE       10218   // 4.0
#define IDS_TITLEHWBREAK1BYTE           10219   // 4.0
#define IDS_TITLEHWBREAK2BYTE           10220   // 4.0
#define IDS_TITLEHWBREAK4BYTE           10221   // 4.0
#define IDS_TITLESTOPALWAYS             10222
#define IDS_TITLEBROWSESOURCE           10223
#define IDS_TITLEIMPORT                 10224
#define IDS_TITLEADDFILES               10225
#define IDS_TITLEADDPROJECTS            10226   // 4.0
#define IDS_TITLEFILEVERSION            10227
#define IDS_TITLEPRODUCTVERSION         10228
#define IDS_TITLEFILEFLAGSMASK          10229
#define IDS_TITLEFILEFLAGS              10230
#define IDS_TITLEFILEOS                 10231
#define IDS_TITLEFILETYPE               10232
#define IDS_TITLEFILESUBTYPE            10233
#define IDS_TITLEBLOCKHEADER            10234
#define IDS_TITLECOMMENTS               10235
#define IDS_TITLECOMPANYNAME            10236
#define IDS_TITLEFILEDESCRIPTION        10237
#define IDS_TITLEFILEVERSION2           10238
#define IDS_TITLEINTERNALNAME           10239
#define IDS_TITLECOPYRIGHT              10240
#define IDS_TITLETRADEMARKS             10241
#define IDS_TITLEORIGINALNAME           10242
#define IDS_TITLEPRIVATEBUILD           10243
#define IDS_TITLEPRODUCTNAME            10244
#define IDS_TITLEPRODUCTVERSION2        10245
#define IDS_TITLESPECIALBUILD           10246
#define IDS_TITLEALLFRAMES              10247
#define IDS_TITLESOMEFRAMES             10248
#define IDS_TITLEONEFRAME               10249
#define IDS_TITLEPICTFRAME              10250
#define IDS_TITLEPATH                   10251
#define IDS_TITLELIB                    10252
#define IDS_TITLEINCLUDE                10253
#define IDS_TITLEPROPS                  10254
#define IDS_TITLENAME                   10255
#define IDS_TITLEVALUE                  10256
#define IDS_TITLEADDRESS                10257
#define IDS_TITLETYPE                   10258
#define IDS_TITLELINENO                 10259
#define IDS_TITLEADDMACRO               10260
#define IDS_TITLEEDITMACRO              10261
#define IDS_TITLEADDTOOL                10262
#define IDS_TITLEEDITTOOL               10263
#define IDS_TITLEADDHELP                10264
#define IDS_TITLEEDITHELP               10265
#define IDS_TITLEADDSNIPPET             10266   // 5.0
#define IDS_TITLEEDITSNIPPET            10267   // 5.0
#define IDS_TITLEKEY                    10268
#define IDS_TITLE1BPP                   10269
#define IDS_TITLE4BPP                   10270
#define IDS_TITLE8BPP                   10271
#define IDS_TITLE16BPP                  10272
#define IDS_TITLE24BPP                  10273
#define IDS_TITLE32BPP                  10274
#define IDS_TITLENONE                   10275
#define IDS_TITLEC                      10276
#define IDS_TITLEASM                    10277
#define IDS_TITLERC                     10278   // 6.0
#define IDS_TITLEMC                     10279   // 6.0
#define IDS_TITLEINST                   10280   // 5.0
#define IDS_TITLECB                     10281   // 5.0
#define IDS_TITLEDEF                    10282
#define IDS_TITLECUT                    10283
#define IDS_TITLECOPY                   10284
#define IDS_TITLEPASTE                  10285
#define IDS_TITLECLEAR                  10286
#define IDS_TITLEEDIT                   10287
#define IDS_TITLEINSERT                 10288
#define IDS_TITLEEFFECT                 10289
#define IDS_TITLEMIRROR                 10290
#define IDS_TITLEROTATE                 10291
#define IDS_TITLEGRAYSCALE              10292
#define IDS_TITLESEPIATONE              10293   // 4.0
#define IDS_TITLEOPAQUEALPHA            10294   // 4.0
#define IDS_TITLEHSV                    10295
#define IDS_TITLEDRAW                   10296
#define IDS_TITLESCREENCOLOR            10297
#define IDS_TITLERESIZE                 10298
#define IDS_TITLEALIGN                  10299
#define IDS_TITLEEVENSPACE              10300
#define IDS_TITLESIZETOTEXT             10301
#define IDS_TITLEMOVE                   10302
#define IDS_TITLECENTER                 10303
#define IDS_TITLEORDER                  10304
#define IDS_TITLECONVERT                10305
#define IDS_TITLEINDENT                 10306
#define IDS_TITLEREPLACE                10307
#define IDS_TITLEDRAGDROP               10308
#define IDS_TITLETEST                   10309   // 6.0
#define IDS_TITLEADVANCED               10310   // 6.0
#define IDS_TITLESTANDARD               10311   // 6.0
#define IDS_OPENINCLUDE                 10312   // 4.50
#define IDS_CONTEXTHELP                 10313
#define IDS_VIEWDEFINITION              10314
#define IDS_PREVDEFINITION              10315
#define IDS_FINDCALLSITES               10316   // 4.0
#define IDS_SURROUNDBY                  10317   // 5.0
#define IDS_EDITBREAKPOINT              10318   // 4.0
#define IDS_BREAKALWAYS                 10319   // 4.0
#define IDS_BREAKONHITCOUNT             10320   // 4.0
#define IDS_BREAKONEXPRESSION           10321   // 4.0
#define IDS_BREAKDISABLED               10322   // 4.0
#define IDS_APPNAME                     10323
#define IDS_APPNAME_DBGHELPER           10324
#define IDS_APPVERSION                  10325
#define IDS_SPLASHVERSION               10326
#define IDS_UNTITLED                    10327
#define IDS_YES                         10328
#define IDS_NO                          10329
#define IDS_EMPTY                       10330
#define IDS_SPECIAL                     10331
#define IDS_SAMPLELINE                  10332
#define IDS_PRINTFILE                   10333
#define IDS_PRINTPAGE                   10334
#define IDS_OUTPUTDONE                  10335
//
#define IDS_COMMONFILTER                10336
#define IDS_SOURCEFILTER                10337
#define IDS_RESOURCEFILTER              10338
#define IDS_PROJECTFILTER               10339
#define IDS_IMAGEFILTER                 10340
#define IDS_ANIMATIONFILTER             10341
#define IDS_EXECUTEFILTER               10342
#define IDS_INSTALLFILTER               10343   // 5.0
#define IDS_IMPSRCFILTER                10344   // 4.0
#define IDS_IMPPROJFILTER               10345   // 4.0
#define IDS_IMPRSRCFILTER               10346
#define IDS_IMPANICURFILTER             10347
#define IDS_IMPAVIFILTER                10348
#define IDS_CUSTCNTLFILTER              10349
#define IDS_PALETTEFILTER               10350
#define IDS_CUSTTOOLFILTER              10351
#define IDS_CUSTHELPFILTER              10352
#define IDS_ALLFILTER                   10353
#define IDS_SRCFILTER                   10354
#define IDS_INCFILTER                   10355
#define IDS_HTMFILTER                   10356
#define IDS_XMLFILTER                   10357
#define IDS_DEFFILTER                   10358
#define IDS_PISFILTER                   10359   // 5.0
#define IDS_CBFILTER                    10360   // 5.0
#define IDS_ASMFILTER                   10361
#define IDS_RCFILTER                    10362
#define IDS_RESFILTER                   10363
#define IDS_JPGFILTER                   10364
#define IDS_PNGFILTER                   10365
#define IDS_GIFFILTER                   10366
#define IDS_BMPFILTER                   10367
#define IDS_ICOFILTER                   10368
#define IDS_CURFILTER                   10369
#define IDS_ANICURFILTER                10370
#define IDS_AVIFILTER                   10371
#define IDS_ZIPFILTER                   10372
#define IDS_MSGFILTER                   10373   // 3.0
#define IDS_WAVFILTER                   10374   // 6.0
#define IDS_CEXT                        10375
#define IDS_HEXT                        10376
#define IDS_PPWEXT                      10377   // 4.0
#define IDS_PPJEXT                      10378
#define IDS_PPXEXT                      10379
#define IDS_TAGEXT                      10380
#define IDS_RCEXT                       10381
#define IDS_RESEXT                      10382
#define IDS_PCXEXT                      10383
#define IDS_GIFEXT                      10384
#define IDS_JPGEXT                      10385
#define IDS_PNGEXT                      10386
#define IDS_BMPEXT                      10387
#define IDS_DIBEXT                      10388
#define IDS_ICOEXT                      10389
#define IDS_CUREXT                      10390
#define IDS_ANIEXT                      10391
#define IDS_AVIEXT                      10392
#define IDS_PALEXT                      10393
#define IDS_HLPEXT                      10394
#define IDS_CHMEXT                      10395
#define IDS_LIBEXT                      10396
#define IDS_DLLEXT                      10397
#define IDS_EXEEXT                      10398
#define IDS_OBJEXT                      10399
#define IDS_HTMEXT                      10400
#define IDS_XMLEXT                      10401
#define IDS_ZIPEXT                      10402
#define IDS_DEFEXT                      10403
#define IDS_ASMEXT                      10404
#define IDS_INCEXT                      10405
#define IDS_MCEXT                       10406   // 6.0
#define IDS_MSGEXT                      10407   // 3.0
#define IDS_PISEXT                      10408   // 5.0
#define IDS_CBEXT                       10409   // 5.0
#define IDS_CABEXT                      10410   // 5.0
#define IDS_TXTEXT                      10411   // 5.0
#define IDS_WAVEXT                      10412   // 6.0
#define IDS_OPENAUTO                    10413   // 4.50
#define IDS_OPENTEXT                    10414   // 4.50
#define IDS_OPENBINARY                  10415   // 4.50
#define IDS_OPENRESOURCE                10416   // 4.50
#define IDS_OPENRCDATA                  10417   // 4.50
#define IDS_OPENCUSTOM                  10418   // 4.50
//
#define IDS_STATEPOS                    10419
#define IDS_STATESIZE                   10420
#define IDS_STATEEDIT                   10421
#define IDS_STATEDEPSCAN                10422
#define IDS_STATEPOPUP                  10423
#define IDS_STATESEPARATOR              10424
#define IDS_STATEMENUITEM               10425
#define IDS_STATEIMAGELIST              10426
#define IDS_STATEOILPAINT               10427
#define IDS_STATEDITHER                 10428
#define IDS_FILEFINDWHAT                10429
#define IDS_DEFAULTMENUTEXT             10430
#define IDS_DONTMESS                    10431
#define IDS_SELECTFROMLIST              10432
#define IDS_TARGETNAME                  10433
#define IDS_TARGETBASENAME              10434
#define IDS_FIRSTPREQNAME               10435
#define IDS_ALLPREQNAMES                10436
//
#define IDS_DIALOGTEXT                  10437   // 5.0
#define IDS_TEXTTEXT                    10438   // 5.0
#define IDS_EDITBOXTEXT                 10439   // 5.0
#define IDS_GROUPBOXTEXT                10440   // 5.0
#define IDS_PUSHBUTTONTEXT              10441   // 5.0
#define IDS_CHECKBOXTEXT                10442   // 5.0
#define IDS_RADIOBUTTONTEXT             10443   // 5.0
#define IDS_RICHEDITTEXT                10444   // 5.0
#define IDS_SYSLINKTEXT                 10445   // 5.0
#define IDS_NETADDRESSTEXT              10446   // 5.0
#define IDS_SPLITBUTTONTEXT             10447   // 5.0
#define IDS_COMMANDLINKTEXT             10448   // 5.0
#define IDS_CUSTOMTEXT                  10449   // 5.0
//
#define IDS_UNUSED                      10450
#define IDS_IDOK                        10451
#define IDS_IDCANCEL                    10452
//
#define IDS_RCHEADER                    10453
#define IDS_HHEADER                     10454
//
#define IDS_ACCELSHIFT                  10455
#define IDS_ACCELCONTROL                10456
#define IDS_ACCELALT                    10457
//
#define IDS_MAKHEADER                   10458
#define IDS_MAKTARGET                   10459
#define IDS_BUILDING                    10460
#define IDS_BUILDDONE                   10461
#define IDS_BUILDABORTED                10462
#define IDS_BUILDFAILURE                10463
#define IDS_BUILDBROWSEFAILURE          10464   // 6.0
#define IDS_BUILDMACROERROR             10465
#define IDS_BUILDERROR                  10466
#define IDS_BUILDERRORIGNORE            10467
#define IDS_BUILDERRORMSG               10468
#define IDS_PROJGRP_WIZARD              10469   // 4.50
#define IDS_PROJGRP_EMPTY               10470   // 4.50
#define IDS_PROJTYPE_W32APP             10471
#define IDS_PROJTYPE_W32DLL             10472
#define IDS_PROJTYPE_W32LIB             10473
#define IDS_PROJTYPE_W32CON             10474
#define IDS_PROJTYPE_W64APP             10475   // 5.0
#define IDS_PROJTYPE_W64DLL             10476   // 5.0
#define IDS_PROJTYPE_W64LIB             10477   // 5.0
#define IDS_PROJTYPE_W64CON             10478   // 5.0
#define IDS_PROJTYPE_PPCAPP             10479
#define IDS_PROJTYPE_PPCDLL             10480
#define IDS_PROJTYPE_PPCLIB             10481
#define IDS_PROJTYPE_SPAPP              10482
#define IDS_PROJTYPE_SPDLL              10483
#define IDS_PROJTYPE_SPLIB              10484
#define IDS_PROJTYPE_W32INST            10485   // 5.0
#define IDS_PROJTYPE_PPCINST            10486   // 5.0
#define IDS_PROJTYPE_SPINST             10487   // 5.0
#define IDS_WKSHEADER                   10488   // 4.0
//
#define IDS_CC_WARNLEVEL0               10489
#define IDS_CC_WARNLEVEL1               10490
#define IDS_CC_WARNLEVEL2               10491
#define IDS_CC_OPTNONE                  10492
#define IDS_CC_OPTSPEED                 10493
#define IDS_CC_OPTSIZE                  10494
#define IDS_CC_OPTSPEEDEXT              10495
#define IDS_CC_OPTSIZEEXT               10496
#define IDS_CC_DEBUGNONE                10497
#define IDS_CC_DEBUGLINES               10498
#define IDS_CC_DEBUGFULL                10499
#define IDS_CC_CDECL                    10500
#define IDS_CC_STDCALL                  10501
#define IDS_CC_FASTCALL                 10502
#define IDS_CC_CRT                      10503
#define IDS_CC_CRTMT                    10504
#define IDS_CC_CRTDLL                   10505
#define IDS_CC_X86                      10506
#define IDS_CC_ARM                      10507
#define IDS_CC_AMD64                    10508   // 5.0
#define IDS_CC_FPFAST                   10509   // 6.0
#define IDS_CC_FPPRECISE                10510   // 6.0
#define IDS_CC_INLINENONE               10511   // 6.0
#define IDS_CC_INLINEUSER               10512   // 6.0
#define IDS_CC_INLINEAUTO               10513   // 6.0
#define IDS_AS_DEBUGNONE                10514
#define IDS_AS_DEBUGLINES               10515
#define IDS_AS_DEBUGFULL                10516
#define IDS_AS_CDECL                    10517   // 4.50
#define IDS_AS_STDCALL                  10518   // 4.50
#define IDS_AS_FASTCALL                 10519   // 4.50
#define IDS_AS_X86                      10520   // 4.50
#define IDS_AS_ARM                      10521   // 4.50
#define IDS_AS_AMD64                    10522   // 5.0
#define IDS_LD_DEBUGNONE                10523
#define IDS_LD_DEBUGCV                  10524
#define IDS_LD_DEBUGCOFF                10525
#define IDS_LD_DEBUGBOTH                10526
#define IDS_LD_NATIVE                   10527
#define IDS_LD_CONSOLE                  10528
#define IDS_LD_WINDOWS                  10529
#define IDS_LD_WINDOWSCE                10530
#define IDS_LD_X86                      10531
#define IDS_LD_ARM                      10532
#define IDS_LD_AMD64                    10533   // 5.0
//
#define IDS_DBG_DONE                    10534
#define IDS_DBG_CREATEPROCESS           10535
#define IDS_DBG_CREATETHREAD            10536
#define IDS_DBG_LOADMODULE              10537
#define IDS_DBG_EXITPROCESS             10538
#define IDS_DBG_EXITTHREAD              10539
#define IDS_DBG_UNLOADMODULE            10540
#define IDS_DBG_RELOCATION              10541
#define IDS_DBG_LOADERROR               10542
#define IDS_DBG_BORLAND                 10543   // 4.0
#define IDS_DBG_BADEXPRESSION           10544   // 4.0
#define IDS_DBG_STARTCONNECTION         10545   // 5.0
#define IDS_DBG_CLOSECONNECTION         10546   // 5.0
#define IDS_DBG_STARTSERVER             10547   // 4.50
#define IDS_DBG_STOPSERVER              10548   // 4.50
#define IDS_DBG_REMOTEPROCESS           10549   // 4.50
//
// Commands (custom keyboard).
//
#define IDS_FILE_NEWPROJECT             10550
#define IDS_FILE_NEWSOURCE              10551
#define IDS_FILE_NEWRESOURCE            10552
#define IDS_FILE_NEWBITMAP              10553
#define IDS_FILE_NEWICON                10554
#define IDS_FILE_NEWCURSOR              10555
#define IDS_FILE_NEWANICURSOR           10556
#define IDS_FILE_NEWVIDEO               10557
#define IDS_FILE_NEWHEXDUMP             10558
#define IDS_FILE_NEWMSGTABLE            10559   // 3.0
#define IDS_FILE_OPEN                   10560
#define IDS_FILE_CLOSE                  10561
#define IDS_FILE_CLOSEPROJ              10562   // 5.0
#define IDS_FILE_SAVE                   10563
#define IDS_FILE_SAVEAS                 10564
#define IDS_FILE_SAVEALL                10565
#define IDS_FILE_PRINT                  10566
#define IDS_FILE_PRINTSETUP             10567
#define IDS_FILE_SENDMAIL               10568
#define IDS_FILE_PROPERTIES             10569
#define IDS_FILE_EXIT                   10570
//
#define IDS_EDIT_UNDO                   10571
#define IDS_EDIT_REDO                   10572
#define IDS_EDIT_CUT                    10573
#define IDS_EDIT_COPY                   10574
#define IDS_EDIT_PASTE                  10575
#define IDS_EDIT_INSERT                 10576
#define IDS_EDIT_DELETE                 10577
#define IDS_EDIT_DELETEWORD             10578
#define IDS_EDIT_SELECTALL              10579
#define IDS_EDIT_FIND                   10580
#define IDS_EDIT_FINDNEXT               10581
#define IDS_EDIT_REPLACE                10582
#define IDS_EDIT_FILEFIND               10583
#define IDS_EDIT_GOTO                   10584
//
#define IDS_VIEW_LABELS                 10585
#define IDS_VIEW_INCLUDES               10586
#define IDS_VIEW_SHOWTOOLBAR            10587
#define IDS_VIEW_SHOWSTATUSBAR          10588
#define IDS_VIEW_SHOWDOCTABS            10589
#define IDS_VIEW_SOURCEFILES            10590   // 5.0
#define IDS_VIEW_TARGETFILES            10591   // 5.0
//
#define IDS_PROJ_ADDFILE                10592
#define IDS_PROJ_ADDPROJECT             10593   // 4.0
#define IDS_PROJ_SETTINGS               10594
#define IDS_PROJ_COMPILE                10595
#define IDS_PROJ_BUILD                  10596
#define IDS_PROJ_REBUILD                10597   // 5.0: IDS_PROJ_BUILDALL -> IDS_PROJ_REBUILD
#define IDS_PROJ_BUILDWKS               10598   // 5.0
#define IDS_PROJ_REBUILDWKS             10599   // 5.0
#define IDS_PROJ_STOPBUILD              10600
#define IDS_PROJ_MAKEALLPREQS           10601
#define IDS_PROJ_EXECUTE                10602
#define IDS_PROJ_ZIP                    10603
#define IDS_PROJ_UNZIP                  10604
#define IDS_PROJ_SETACTIVE              10605   // 4.0
#define IDS_PROJ_DEPENDENCIES           10606   // 4.0
//
#define IDS_TOOL_CUSTOMIZE              10607
#define IDS_TOOL_SETTINGS               10608
#define IDS_TOOL_CUSTOMTOOL             10609
#define IDS_TOOL_CUSTOMTOOL_1           10610
#define IDS_TOOL_CUSTOMTOOL_2           10611
#define IDS_TOOL_CUSTOMTOOL_3           10612
#define IDS_TOOL_CUSTOMTOOL_4           10613
#define IDS_TOOL_CUSTOMTOOL_5           10614
#define IDS_TOOL_CUSTOMTOOL_6           10615
#define IDS_TOOL_CUSTOMTOOL_7           10616
#define IDS_TOOL_CUSTOMTOOL_8           10617   // 5.0
#define IDS_TOOL_CUSTOMTOOL_9           10618   // 5.0
#define IDS_TOOL_CUSTOMTOOL_10          10619   // 5.0
#define IDS_TOOL_CUSTOMTOOL_11          10620   // 5.0
#define IDS_TOOL_CUSTOMTOOL_12          10621   // 5.0
#define IDS_TOOL_CUSTOMTOOL_13          10622   // 5.0
#define IDS_TOOL_CUSTOMTOOL_14          10623   // 5.0
#define IDS_TOOL_CUSTOMTOOL_15          10624   // 5.0
//
#define IDS_WIN_NEW                     10625
#define IDS_WIN_CASCADE                 10626
#define IDS_WIN_TILEVERT                10627
#define IDS_WIN_TILEHORZ                10628
#define IDS_WIN_CLOSEALL                10629
//
#define IDS_HELP_CONTENTS               10630
#define IDS_HELP_ABOUT                  10631
#define IDS_HELP_CUSTOMHELP             10632
#define IDS_HELP_CUSTOMHELP_1           10633
#define IDS_HELP_CUSTOMHELP_2           10634
#define IDS_HELP_CUSTOMHELP_3           10635
#define IDS_HELP_CUSTOMHELP_4           10636
#define IDS_HELP_CUSTOMHELP_5           10637
#define IDS_HELP_CUSTOMHELP_6           10638
#define IDS_HELP_CUSTOMHELP_7           10639
#define IDS_HELP_CUSTOMHELP_8           10640   // 5.0
#define IDS_HELP_CUSTOMHELP_9           10641   // 5.0
#define IDS_HELP_CUSTOMHELP_10          10642   // 5.0
#define IDS_HELP_CUSTOMHELP_11          10643   // 5.0
#define IDS_HELP_CUSTOMHELP_12          10644   // 5.0
#define IDS_HELP_CUSTOMHELP_13          10645   // 5.0
#define IDS_HELP_CUSTOMHELP_14          10646   // 5.0
#define IDS_HELP_CUSTOMHELP_15          10647   // 5.0
//
#define IDS_IMG_NEWIMAGE                10648
#define IDS_IMG_DELETEIMAGE             10649
#define IDS_IMG_RESIZE                  10650   // 5.0
#define IDS_IMG_MIRROR_HORZ             10651
#define IDS_IMG_MIRROR_VERT             10652
#define IDS_IMG_ROTATE                  10653
#define IDS_IMG_GRAYSCALE               10654
#define IDS_IMG_SEPIATONE               10655   // 4.0
#define IDS_IMG_HSV                     10656
#define IDS_IMG_OPAQUEALPHA             10657   // 4.0
#define IDS_IMG_EFFECT_OILPAINT         10658
#define IDS_IMG_EFFECT_SPREAD           10659
#define IDS_IMG_EFFECT_EMBOSS           10660
#define IDS_IMG_EFFECT_FISHEYE          10661
#define IDS_IMG_EFFECT_DROPSHADOW       10662   // 4.0
#define IDS_IMG_EFFECT_BLUR             10663
#define IDS_IMG_EFFECT_SHARPEN          10664
//
#define IDS_DLG_NEWPICTURE              10665   // 4.50
#define IDS_DLG_NEWTEXT                 10666   // 4.50
#define IDS_DLG_NEWEDITBOX              10667   // 4.50
#define IDS_DLG_NEWGROUPBOX             10668   // 4.50
#define IDS_DLG_NEWPUSHBUTTON           10669   // 4.50
#define IDS_DLG_NEWCHECKBOX             10670   // 4.50
#define IDS_DLG_NEWRADIOBUTTON          10671   // 4.50
#define IDS_DLG_NEWCOMBOBOX             10672   // 4.50
#define IDS_DLG_NEWLISTBOX              10673   // 4.50
#define IDS_DLG_NEWHSCROLLBAR           10674   // 4.50
#define IDS_DLG_NEWVSCROLLBAR           10675   // 4.50
#define IDS_DLG_NEWUPDOWN               10676   // 4.50
#define IDS_DLG_NEWPROGRESS             10677   // 4.50
#define IDS_DLG_NEWTRACKBAR             10678   // 4.50
#define IDS_DLG_NEWHOTKEY               10679   // 4.50
#define IDS_DLG_NEWLISTVIEW             10680   // 4.50
#define IDS_DLG_NEWTREEVIEW             10681   // 4.50
#define IDS_DLG_NEWTABCONTROL           10682   // 4.50
#define IDS_DLG_NEWANIMATE              10683   // 4.50
#define IDS_DLG_NEWRICHEDIT             10684   // 4.50
#define IDS_DLG_NEWRICHED20             10685   // 4.50
#define IDS_DLG_NEWDATETIME             10686   // 4.50
#define IDS_DLG_NEWMONTHCAL             10687   // 4.50
#define IDS_DLG_NEWCOMBOBOXEX           10688   // 4.50
#define IDS_DLG_NEWREBAR                10689   // 4.50
#define IDS_DLG_NEWPAGER                10690   // 4.50
#define IDS_DLG_NEWTOOLBAR              10691   // 4.50
#define IDS_DLG_NEWSTATUSBAR            10692   // 4.50
#define IDS_DLG_NEWSYSLINK              10693   // 5.0
#define IDS_DLG_NEWIPADDRESS            10694   // 5.0
#define IDS_DLG_NEWNETADDRESS           10695   // 5.0
#define IDS_DLG_NEWSPLITBUTTON          10696   // 5.0
#define IDS_DLG_NEWCOMMANDLINK          10697   // 5.0
#define IDS_DLG_NEWNATIVEFONT           10698   // 5.0
#define IDS_DLG_ALIGNLEFT               10699
#define IDS_DLG_ALIGNVERT               10700
#define IDS_DLG_ALIGNRIGHT              10701
#define IDS_DLG_ALIGNTOP                10702
#define IDS_DLG_ALIGNHORZ               10703
#define IDS_DLG_ALIGNBOTTOM             10704
#define IDS_DLG_CENTERVERT              10705
#define IDS_DLG_CENTERHORZ              10706
#define IDS_DLG_SPACEVERT               10707
#define IDS_DLG_SPACEHORZ               10708
#define IDS_DLG_ARRSIZEWIDTH            10709
#define IDS_DLG_ARRSIZEHEIGHT           10710
#define IDS_DLG_ARRSIZEBOTH             10711
#define IDS_DLG_ARRPUSHBOTTOM           10712
#define IDS_DLG_ARRPUSHRIGHT            10713
#define IDS_DLG_SIZETOTEXT              10714
#define IDS_DLG_NEWCUSTOM               10715
#define IDS_DLG_OPENCUSTOM              10716
#define IDS_DLG_REMOVECUSTOM            10717
#define IDS_DLG_LOCKCONTROLS            10718
#define IDS_DLG_ORDERCONTROLS           10719
//
#define IDS_RSRC_NEWBITMAP              10720
#define IDS_RSRC_NEWICON                10721
#define IDS_RSRC_NEWCURSOR              10722
#define IDS_RSRC_NEWANICURSOR           10723
#define IDS_RSRC_NEWVIDEO               10724
#define IDS_RSRC_NEWDIALOG              10725
#define IDS_RSRC_NEWMENU                10726
#define IDS_RSRC_NEWSTRINGTABLE         10727
#define IDS_RSRC_NEWMSGTABLE            10728   // 3.0
#define IDS_RSRC_NEWACCEL               10729
#define IDS_RSRC_NEWVERSION             10730
#define IDS_RSRC_NEWMANIFEST            10731
#define IDS_RSRC_NEWHTML                10732   // 5.0
#define IDS_RSRC_NEWCUSTOM              10733   // 3.0
#define IDS_RSRC_NEWCOPY                10734
#define IDS_RSRC_IMPORT                 10735
#define IDS_RSRC_EXPORT                 10736   // 6.0
#define IDS_RSRC_SORTNAMES              10737
//
#define IDS_MESS_SETINCLUDE             10738   // 3.0
#define IDS_MESS_VIEWLABELS             10739   // 3.0
//
#define IDS_SRC_FORCECALLTIP            10740   // 4.50
#define IDS_SRC_COMPLETEWORD            10741
#define IDS_SRC_INSERTSNIPPET           10742   // 5.0
#define IDS_SRC_SURROUNDBY              10743   // 5.0
#define IDS_SRC_SURROUNDBY_1            10744   // 5.0
#define IDS_SRC_SURROUNDBY_2            10745   // 5.0
#define IDS_SRC_SURROUNDBY_3            10746   // 5.0
#define IDS_SRC_SURROUNDBY_4            10747   // 5.0
#define IDS_SRC_SURROUNDBY_5            10748   // 5.0
#define IDS_SRC_SURROUNDBY_6            10749   // 5.0
#define IDS_SRC_SURROUNDBY_7            10750   // 5.0
#define IDS_SRC_SURROUNDBY_8            10751   // 5.0
#define IDS_SRC_SURROUNDBY_9            10752   // 5.0
#define IDS_SRC_SURROUNDBY_10           10753   // 5.0
#define IDS_SRC_SURROUNDBY_11           10754   // 5.0
#define IDS_SRC_SURROUNDBY_12           10755   // 5.0
#define IDS_SRC_SURROUNDBY_13           10756   // 5.0
#define IDS_SRC_SURROUNDBY_14           10757   // 5.0
#define IDS_SRC_SURROUNDBY_15           10758   // 5.0
#define IDS_SRC_UCASE                   10759
#define IDS_SRC_LCASE                   10760
#define IDS_SRC_TABTOSPACE              10761
#define IDS_SRC_SPACETOTAB              10762
#define IDS_SRC_FORMAT                  10763   // 3.0
#define IDS_SRC_COMMENT                 10764   // 4.0
#define IDS_SRC_UNCOMMENT               10765   // 4.0
#define IDS_SRC_NEXTBOOKMARK            10766
#define IDS_SRC_PREVBOOKMARK            10767
#define IDS_SRC_SETBOOKMARK             10768
#define IDS_SRC_CLEARBOOKMARKS          10769
#define IDS_SRC_WHITESPACE              10770
#define IDS_SRC_LINEBREAKS              10771
#define IDS_SRC_LINENUMBERS             10772
#define IDS_SRC_FOLDINGS                10773
#define IDS_SRC_MATCHINGBRACES          10774   // 4.50
#define IDS_SRC_VIEWDEFINITION          10775   // 6.0
#define IDS_SRC_PREVDEFINITION          10776   // 6.0
#define IDS_SRC_FOLDALL                 10777
#define IDS_SRC_UNFOLDALL               10778
//
#define IDS_DBG_GO                      10779
#define IDS_DBG_RESTART                 10780
#define IDS_DBG_STOP                    10781
#define IDS_DBG_BREAK                   10782
#define IDS_DBG_STEPINTO                10783
#define IDS_DBG_STEPOVER                10784
#define IDS_DBG_STEPOUT                 10785   // 4.0
#define IDS_DBG_RUNTOCURSOR             10786   // 4.0
#define IDS_DBG_TOGGLEBREAKPOINT        10787   // 4.0
#define IDS_DBG_SHOWNEXTSTMT            10788
#define IDS_DBG_ADDWATCH                10789
#define IDS_DBG_QUICKWATCH              10790   // 4.0
#define IDS_DBG_HWBREAKS                10791   // 4.0 B4
//
#define IDS_MISC_OPEN                   10792
#define IDS_MISC_TEST                   10793
#define IDS_MISC_CHECKMNEMONICS         10794
#define IDS_MISC_NEXTWINDOW             10795
//
// Tooltips.
//
#define IDS_TIP_NEW                     10796
#define IDS_TIP_OPEN                    10797
#define IDS_TIP_SAVE                    10798
#define IDS_TIP_SAVEALL                 10799
#define IDS_TIP_CUT                     10800
#define IDS_TIP_COPY                    10801
#define IDS_TIP_PASTE                   10802
#define IDS_TIP_UNDO                    10803
#define IDS_TIP_REDO                    10804
#define IDS_TIP_COMPILE                 10805
#define IDS_TIP_BUILD                   10806
#define IDS_TIP_EXECUTE                 10807
#define IDS_TIP_GO                      10808
#define IDS_TIP_RESTART                 10809
#define IDS_TIP_STOP                    10810
#define IDS_TIP_STEPINTO                10811
#define IDS_TIP_STEPOVER                10812
#define IDS_TIP_STEPOUT                 10813   // 4.0
#define IDS_TIP_QUICKWATCH              10814   // 4.0
#define IDS_TIP_DELETE                  10815
#define IDS_TIP_CHECKMNEMONICS          10816
//
#define IDS_TIP_PENCIL                  10817
#define IDS_TIP_BRUSH                   10818
#define IDS_TIP_SELECT                  10819
#define IDS_TIP_PICKCOLOR               10820
#define IDS_TIP_LINE                    10821
#define IDS_TIP_RECT                    10822
#define IDS_TIP_ELLIPSE                 10823   // 4.0 (renamed)
#define IDS_TIP_ROUNDRECT               10824
#define IDS_TIP_DRAWTEXT                10825
#define IDS_TIP_FLOODFILL               10826
#define IDS_TIP_SPRAY                   10827
#define IDS_TIP_ERASER                  10828
#define IDS_TIP_MAGNIFY                 10829
#define IDS_TIP_HOTSPOT                 10830
#define IDS_TIP_GRADIENT                10831   // 5.0
#define IDS_TIP_LEFTCOLOR               10832
#define IDS_TIP_RIGHTCOLOR              10833
#define IDS_TIP_SCREENCOLOR             10834
#define IDS_TIP_INVERSECOLOR            10835
#define IDS_TIP_TRANSPARENTCOLOR        10836   // 5.0
#define IDS_TIP_PALETTE                 10837   // 4.0
#define IDS_TIP_LOADPALETTE             10838   // 4.0
#define IDS_TIP_SAVEPALETTE             10839   // 4.0
#define IDS_TIP_RGBCOLOR                10840   // 4.0 (renamed)
#define IDS_TIP_RGBACOLOR               10841   // 4.0
//
#define IDS_TIP_POINTER                 10842
#define IDS_TIP_PICTURE                 10843
#define IDS_TIP_TEXT                    10844
#define IDS_TIP_EDITBOX                 10845
#define IDS_TIP_GROUPBOX                10846
#define IDS_TIP_PUSHBUTTON              10847
#define IDS_TIP_CHECKBOX                10848
#define IDS_TIP_RADIOBUTTON             10849
#define IDS_TIP_COMBOBOX                10850
#define IDS_TIP_LISTBOX                 10851
#define IDS_TIP_HSCROLLBAR              10852
#define IDS_TIP_VSCROLLBAR              10853
#define IDS_TIP_UPDOWN                  10854
#define IDS_TIP_PROGRESS                10855
#define IDS_TIP_TRACKBAR                10856
#define IDS_TIP_HOTKEY                  10857
#define IDS_TIP_LISTVIEW                10858
#define IDS_TIP_TREEVIEW                10859
#define IDS_TIP_TABCONTROL              10860
#define IDS_TIP_ANIMATE                 10861
#define IDS_TIP_RICHEDIT                10862
#define IDS_TIP_RICHED20                10863   // 4.50
#define IDS_TIP_DATETIME                10864
#define IDS_TIP_MONTHCAL                10865
#define IDS_TIP_COMBOBOXEX              10866
#define IDS_TIP_REBAR                   10867
#define IDS_TIP_PAGER                   10868
#define IDS_TIP_TOOLBAR                 10869
#define IDS_TIP_STATUSBAR               10870
#define IDS_TIP_SYSLINK                 10871   // 5.0
#define IDS_TIP_IPADDRESS               10872   // 5.0
#define IDS_TIP_NETADDRESS              10873   // 5.0
#define IDS_TIP_SPLITBUTTON             10874   // 5.0
#define IDS_TIP_COMMANDLINK             10875   // 5.0
#define IDS_TIP_NATIVEFONT              10876   // 5.0
#define IDS_TIP_CUSTOM                  10877
//
#define IDS_TIP_TEST                    10878
#define IDS_TIP_LOCKCONTROLS            10879
#define IDS_TIP_ORDERCONTROLS           10880
#define IDS_TIP_ARRPUSHBOTTOM           10881
#define IDS_TIP_ARRPUSHRIGHT            10882
#define IDS_TIP_ALIGNLEFT               10883
#define IDS_TIP_ALIGNRIGHT              10884
#define IDS_TIP_ALIGNTOP                10885
#define IDS_TIP_ALIGNBOTTOM             10886
#define IDS_TIP_ALIGNHORZ               10887
#define IDS_TIP_ALIGNVERT               10888
#define IDS_TIP_SPACEHORZ               10889
#define IDS_TIP_SPACEVERT               10890
#define IDS_TIP_ARRSIZEWIDTH            10891
#define IDS_TIP_ARRSIZEHEIGHT           10892
#define IDS_TIP_ARRSIZEBOTH             10893
#define IDS_TIP_CENTERHORZ              10894
#define IDS_TIP_CENTERVERT              10895
//
#define IDS_TIP_NEWFOLDER               10896
#define IDS_TIP_NEWFILE                 10897
#define IDS_TIP_NEWTOOL                 10898
#define IDS_TIP_NEWHELP                 10899
#define IDS_TIP_NEWSNIPPET              10900   // 5.0
#define IDS_TIP_IMPORT                  10901   // 5.0
#define IDS_TIP_EXPORT                  10902   // 5.0
#define IDS_TIP_MOVEUP                  10903
#define IDS_TIP_MOVEDOWN                10904
//
#define IDS_TIP_NEWIMAGE                10905
#define IDS_TIP_DELETEIMAGE             10906
//
#define IDS_TIP_SOURCEFILES             10907
#define IDS_TIP_TARGETFILES             10908
#define IDS_TIP_CLOSE                   10909
//
// Color descriptions.
//
#define IDS_COLOR_TEXT                  10910
#define IDS_COLOR_SELTEXT               10911
#define IDS_COLOR_KEYWORD               10912
#define IDS_COLOR_COMMENT               10913
#define IDS_COLOR_NUMBER                10914
#define IDS_COLOR_STRING                10915
#define IDS_COLOR_PREPROCESSOR          10916
#define IDS_COLOR_FUNCTION              10917
#define IDS_COLOR_OPERATOR              10918
#define IDS_COLOR_BREAKPOINT            10919
#define IDS_COLOR_DEBUGLINE             10920
#define IDS_COLORTABLE                  10921
//
// Encoding descriptions.
//
#define IDS_ENCODING_ANSI               10922   // 5.0 (#1)
#define IDS_ENCODING_OEM                10923   // 5.0 (#2)
#define IDS_ENCODING_UTF8               10924   // 5.0 (#3)
#define IDS_ENCODING_UTF8_NO_BOM        10925   // 5.0 (#4)
#define IDS_ENCODING_UTF16_LE           10926   // 5.0 (#5)
#define IDS_ENCODING_UTF16_BE           10927   // 5.0 (#6)
#define IDS_ENCODING_UTF32_LE           10928   // 5.0 (#7)
#define IDS_ENCODING_UTF32_BE           10929   // 5.0 (#8)
//
#define IDS_DESC_GENERAL                10930
#define IDS_DESC_MYSTYLES               10931
#define IDS_DESC_STYLES                 10932
#define IDS_DESC_EXSTYLES               10933
#define IDS_DESC_RESIZER                10934   // 6.0
#define IDS_DESC_NAME                   10935
#define IDS_DESC_TEXT                   10936
#define IDS_DESC_ORDER                  10937
#define IDS_DESC_HELP                   10938   // 5.0
#define IDS_DESC_LEFT                   10939
#define IDS_DESC_TOP                    10940
#define IDS_DESC_WIDTH                  10941
#define IDS_DESC_HEIGHT                 10942
#define IDS_DESC_VERTRESIZER            10943   // 6.0
#define IDS_DESC_HORZRESIZER            10944   // 6.0
#define IDS_DESC_FONTNAME               10945
#define IDS_DESC_FONTSIZE               10946
#define IDS_DESC_FONTWEIGHT             10947
#define IDS_DESC_FONTCHARSET            10948
#define IDS_DESC_FONTITALIC             10949
#define IDS_DESC_CLASSNAME              10950
#define IDS_DESC_MENUNAME               10951
#define IDS_DESC_STYLE                  10952
#define IDS_DESC_ALIGNMENT              10953
#define IDS_DESC_TYPE                   10954
#define IDS_DESC_OWNERDRAW              10955
#define IDS_DESC_SELECTION              10956
#define IDS_DESC_POINT                  10957
#define IDS_DESC_VIEW                   10958
#define IDS_DESC_SORT                   10959
#define IDS_DESC_FOCUS                  10960
#define IDS_DESC_FORMAT                 10961
#define IDS_DESC_IMAGE                  10962
#define IDS_DESC_ELLIPSIS               10963
#define IDS_DESC_VERTALIGNMENT          10964
#define IDS_DESC_WS_OVERLAPPED          10965
#define IDS_DESC_WS_POPUP               10966
#define IDS_DESC_WS_CHILD               10967
#define IDS_DESC_WS_CAPTION             10968
#define IDS_DESC_WS_SYSMENU             10969
#define IDS_DESC_WS_VISIBLE             10970
#define IDS_DESC_WS_DISABLED            10971
#define IDS_DESC_WS_BORDER              10972
#define IDS_DESC_WS_GROUP               10973
#define IDS_DESC_WS_TABSTOP             10974
#define IDS_DESC_WS_HSCROLL             10975
#define IDS_DESC_WS_VSCROLL             10976
#define IDS_DESC_WS_MINIMIZEBOX         10977
#define IDS_DESC_WS_MAXIMIZEBOX         10978
#define IDS_DESC_WS_CLIPSIBLINGS        10979
#define IDS_DESC_WS_CLIPCHILDREN        10980
#define IDS_DESC_WS_THICKFRAME          10981
#define IDS_DESC_DS_MODALFRAME          10982
#define IDS_DESC_DS_SYSMODAL            10983
#define IDS_DESC_DS_ABSALIGN            10984
#define IDS_DESC_DS_CONTEXTHELP         10985
#define IDS_DESC_DS_SETFOREGROUND       10986
#define IDS_DESC_DS_3DLOOK              10987
#define IDS_DESC_DS_NOFAILCREATE        10988
#define IDS_DESC_DS_NOIDLEMSG           10989
#define IDS_DESC_DS_CONTROL             10990
#define IDS_DESC_DS_CENTER              10991
#define IDS_DESC_DS_CENTERMOUSE         10992
#define IDS_DESC_DS_LOCALEDIT           10993
#define IDS_DESC_SS_BITMAP              10994
#define IDS_DESC_SS_ICON                10995
#define IDS_DESC_SS_ENHMETAFILE         10996
#define IDS_DESC_SS_BLACKRECT           10997
#define IDS_DESC_SS_GRAYRECT            10998
#define IDS_DESC_SS_WHITERECT           10999
#define IDS_DESC_SS_BLACKFRAME          11000
#define IDS_DESC_SS_GRAYFRAME           11001
#define IDS_DESC_SS_WHITEFRAME          11002
#define IDS_DESC_SS_ETCHEDHORZ          11003
#define IDS_DESC_SS_ETCHEDVERT          11004
#define IDS_DESC_SS_ETCHEDFRAME         11005
#define IDS_DESC_SS_CENTERIMAGE         11006
#define IDS_DESC_SS_REALSIZEIMAGE       11007
#define IDS_DESC_SS_REALSIZECONTROL     11008   // 4.0
#define IDS_DESC_SS_SUNKEN              11009
#define IDS_DESC_SS_LEFT                11010
#define IDS_DESC_SS_CENTER              11011
#define IDS_DESC_SS_RIGHT               11012
#define IDS_DESC_SS_SIMPLE              11013
#define IDS_DESC_SS_LEFTNOWORDWRAP      11014
#define IDS_DESC_SS_OWNERDRAW           11015
#define IDS_DESC_SS_NOPREFIX            11016
#define IDS_DESC_SS_NOTIFY              11017
#define IDS_DESC_SS_RIGHTJUST           11018
#define IDS_DESC_SS_NOELLIPSIS          11019
#define IDS_DESC_SS_ENDELLIPSIS         11020
#define IDS_DESC_SS_PATHELLIPSIS        11021
#define IDS_DESC_SS_WORDELLIPSIS        11022
#define IDS_DESC_ES_LEFT                11023
#define IDS_DESC_ES_CENTER              11024
#define IDS_DESC_ES_RIGHT               11025
#define IDS_DESC_ES_MULTILINE           11026
#define IDS_DESC_ES_NUMBER              11027
#define IDS_DESC_ES_AUTOHSCROLL         11028
#define IDS_DESC_ES_AUTOVSCROLL         11029
#define IDS_DESC_ES_PASSWORD            11030
#define IDS_DESC_ES_NOHIDESEL           11031
#define IDS_DESC_ES_OEMCONVERT          11032
#define IDS_DESC_ES_WANTRETURN          11033
#define IDS_DESC_ES_UPPERCASE           11034
#define IDS_DESC_ES_LOWERCASE           11035
#define IDS_DESC_ES_READONLY            11036
#define IDS_DESC_ES_DISABLENOSCROLL     11037
#define IDS_DESC_BS_TEXT                11038
#define IDS_DESC_BS_ICON                11039
#define IDS_DESC_BS_BITMAP              11040
#define IDS_DESC_BS_NOTIFY              11041
#define IDS_DESC_BS_FLAT                11042
#define IDS_DESC_BS_PUSHBUTTON          11043
#define IDS_DESC_BS_DEFPUSHBUTTON       11044
#define IDS_DESC_BS_PUSHBOX             11045   // 5.0
#define IDS_DESC_BS_OWNERDRAW           11046
#define IDS_DESC_BS_MULTILINE           11047
#define IDS_DESC_BS_CHECKBOX            11048
#define IDS_DESC_BS_AUTOCHECKBOX        11049
#define IDS_DESC_BS_3STATE              11050
#define IDS_DESC_BS_AUTO3STATE          11051
#define IDS_DESC_BS_LEFTTEXT            11052
#define IDS_DESC_BS_PUSHLIKE            11053
#define IDS_DESC_BS_RADIOBUTTON         11054
#define IDS_DESC_BS_AUTORADIOBUTTON     11055
#define IDS_DESC_BS_LEFT                11056
#define IDS_DESC_BS_CENTER              11057
#define IDS_DESC_BS_RIGHT               11058
#define IDS_DESC_BS_TOP                 11059
#define IDS_DESC_BS_VCENTER             11060
#define IDS_DESC_BS_BOTTOM              11061
#define IDS_DESC_BS_NOALIGN             11062
#define IDS_DESC_BS_SPLITBUTTON         11063   // 5.0
#define IDS_DESC_BS_DEFSPLITBUTTON      11064   // 5.0
#define IDS_DESC_BS_COMMANDLINK         11065   // 5.0
#define IDS_DESC_BS_DEFCOMMANDLINK      11066   // 5.0
#define IDS_DESC_CBS_SIMPLE             11067
#define IDS_DESC_CBS_DROPDOWN           11068
#define IDS_DESC_CBS_DROPDOWNLIST       11069
#define IDS_DESC_OD_NO                  11070
#define IDS_DESC_OD_FIXED               11071
#define IDS_DESC_OD_VARIABLE            11072
#define IDS_DESC_CBS_AUTOHSCROLL        11073
#define IDS_DESC_CBS_OEMCONVERT         11074
#define IDS_DESC_CBS_SORT               11075
#define IDS_DESC_CBS_HASSTRINGS         11076
#define IDS_DESC_CBS_NOINTEGRALHEIGHT   11077
#define IDS_DESC_CBS_DISABLENOSCROLL    11078
#define IDS_DESC_CBS_UPPERCASE          11079
#define IDS_DESC_CBS_LOWERCASE          11080
#define IDS_DESC_LBS_SINGLESEL          11081
#define IDS_DESC_LBS_MULTIPLESEL        11082
#define IDS_DESC_LBS_EXTENDEDSEL        11083
#define IDS_DESC_LBS_NOSEL              11084
#define IDS_DESC_LBS_SORT               11085
#define IDS_DESC_LBS_HASSTRINGS         11086
#define IDS_DESC_LBS_NOINTEGRALHEIGHT   11087
#define IDS_DESC_LBS_DISABLENOSCROLL    11088
#define IDS_DESC_LBS_NOTIFY             11089
#define IDS_DESC_LBS_MULTICOLUMN        11090
#define IDS_DESC_LBS_NOREDRAW           11091
#define IDS_DESC_LBS_USETABSTOPS        11092
#define IDS_DESC_LBS_WANTKEYBOARDINPUT  11093
#define IDS_DESC_LBS_NODATA             11094
#define IDS_DESC_UDS_UNATTACHED         11095
#define IDS_DESC_UDS_ALIGNLEFT          11096
#define IDS_DESC_UDS_ALIGNRIGHT         11097
#define IDS_DESC_UDS_HORZ               11098
#define IDS_DESC_UDS_AUTOBUDDY          11099
#define IDS_DESC_UDS_SETBUDDYINT        11100
#define IDS_DESC_UDS_NOTHOUSANDS        11101
#define IDS_DESC_UDS_WRAP               11102
#define IDS_DESC_UDS_ARROWKEYS          11103
#define IDS_DESC_UDS_HOTTRACK           11104
#define IDS_DESC_PBS_VERTICAL           11105
#define IDS_DESC_PBS_SMOOTH             11106
#define IDS_DESC_PBS_MARQUEE            11107   // 4.0
#define IDS_DESC_TBS_BOTH               11108
#define IDS_DESC_TBS_LEFT               11109
#define IDS_DESC_TBS_RIGHT              11110
#define IDS_DESC_TBS_VERT               11111
#define IDS_DESC_TBS_NOTICKS            11112
#define IDS_DESC_TBS_AUTOTICKS          11113
#define IDS_DESC_TBS_ENABLESELRANGE     11114
#define IDS_DESC_TBS_FIXEDLENGTH        11115
#define IDS_DESC_TBS_NOTHUMB            11116
#define IDS_DESC_TBS_TOOLTIPS           11117
#define IDS_DESC_LVS_ICON               11118
#define IDS_DESC_LVS_SMALLICON          11119
#define IDS_DESC_LVS_LIST               11120
#define IDS_DESC_LVS_REPORT             11121
#define IDS_DESC_LVS_ALIGNTOP           11122
#define IDS_DESC_LVS_ALIGNLEFT          11123
#define IDS_DESC_LVS_NOSORT             11124
#define IDS_DESC_LVS_SORTASCENDING      11125
#define IDS_DESC_LVS_SORTDESCENDING     11126
#define IDS_DESC_LVS_SINGLESEL          11127
#define IDS_DESC_LVS_SHOWSELALWAYS      11128
#define IDS_DESC_LVS_AUTOARRANGE        11129
#define IDS_DESC_LVS_NOLABELWRAP        11130
#define IDS_DESC_LVS_EDITLABELS         11131
#define IDS_DESC_LVS_NOSCROLL           11132
#define IDS_DESC_LVS_NOCOLUMNHEADER     11133
#define IDS_DESC_LVS_NOSORTHEADER       11134
#define IDS_DESC_LVS_SHAREIMAGELISTS    11135
#define IDS_DESC_LVS_OWNERDRAWFIXED     11136
#define IDS_DESC_LVS_OWNERDATA          11137
#define IDS_DESC_TVS_HASBUTTONS         11138
#define IDS_DESC_TVS_HASLINES           11139
#define IDS_DESC_TVS_LINESATROOT        11140
#define IDS_DESC_TVS_EDITLABELS         11141
#define IDS_DESC_TVS_DISABLEDRAGDROP    11142
#define IDS_DESC_TVS_SHOWSELALWAYS      11143
#define IDS_DESC_TVS_NOTOOLTIPS         11144
#define IDS_DESC_TVS_CHECKBOXES         11145
#define IDS_DESC_TVS_TRACKSELECT        11146
#define IDS_DESC_TVS_SINGLEEXPAND       11147
#define IDS_DESC_TVS_INFOTIP            11148
#define IDS_DESC_TVS_FULLROWSELECT      11149
#define IDS_DESC_TVS_NOSCROLL           11150
#define IDS_DESC_TVS_NONEVENHEIGHT      11151
#define IDS_DESC_TCS_RIGHTJUSTIFY       11152
#define IDS_DESC_TCS_FIXEDWIDTH         11153
#define IDS_DESC_TCS_RAGGEDRIGHT        11154
#define IDS_DESC_TCS_FOCUSDEFAULT       11155
#define IDS_DESC_TCS_FOCUSONBUTTONDOWN  11156
#define IDS_DESC_TCS_FOCUSNEVER         11157
#define IDS_DESC_TCS_BUTTONS            11158
#define IDS_DESC_TCS_FLATBUTTONS        11159
#define IDS_DESC_TCS_TOOLTIPS           11160
#define IDS_DESC_TCS_MULTILINE          11161
#define IDS_DESC_TCS_OWNERDRAWFIXED     11162
#define IDS_DESC_TCS_FORCELABELLEFT     11163
#define IDS_DESC_TCS_FORCEICONLEFT      11164
#define IDS_DESC_TCS_HOTTRACK           11165
#define IDS_DESC_TCS_BOTTOM             11166
#define IDS_DESC_TCS_MULTISELECT        11167
#define IDS_DESC_TCS_SCROLLOPPOSITE     11168
#define IDS_DESC_TCS_VERTICAL           11169
#define IDS_DESC_ACS_CENTER             11170
#define IDS_DESC_ACS_TRANSPARENT        11171
#define IDS_DESC_ACS_AUTOPLAY           11172
#define IDS_DESC_ACS_TIMER              11173
#define IDS_DESC_DTS_SHORTDATEFORMAT    11174
#define IDS_DESC_DTS_LONGDATEFORMAT     11175
#define IDS_DESC_DTS_TIMEFORMAT         11176
#define IDS_DESC_DTS_RIGHTALIGN         11177
#define IDS_DESC_DTS_UPDOWN             11178
#define IDS_DESC_DTS_SHOWNONE           11179
#define IDS_DESC_MCS_DAYSTATE           11180
#define IDS_DESC_MCS_MULTISELECT        11181
#define IDS_DESC_MCS_WEEKNUMBERS        11182
#define IDS_DESC_MCS_NOTODAYCIRCLE      11183
#define IDS_DESC_MCS_NOTODAY            11184
#define IDS_DESC_CCS_NORESIZE           11185
#define IDS_DESC_CCS_TOP                11186
#define IDS_DESC_CCS_BOTTOM             11187
#define IDS_DESC_CCS_LEFT               11188
#define IDS_DESC_CCS_RIGHT              11189
#define IDS_DESC_CCS_NODIVIDER          11190
#define IDS_DESC_CCS_ADJUSTABLE         11191
#define IDS_DESC_RBS_VARHEIGHT          11192
#define IDS_DESC_RBS_BANDBORDERS        11193
#define IDS_DESC_RBS_FIXEDORDER         11194
#define IDS_DESC_RBS_REGISTERDROP       11195
#define IDS_DESC_RBS_AUTOSIZE           11196
#define IDS_DESC_RBS_VERTICALGRIPPER    11197
#define IDS_DESC_RBS_DBLCLKTOGGLE       11198
#define IDS_DESC_PGS_HORZ               11199
#define IDS_DESC_PGS_AUTOSCROLL         11200
#define IDS_DESC_PGS_DRAGNDROP          11201
#define IDS_DESC_TBSTYLE_FLAT           11202
#define IDS_DESC_TBSTYLE_LIST           11203
#define IDS_DESC_TBSTYLE_WRAPABLE       11204
#define IDS_DESC_TBSTYLE_TRANSPARENT    11205
#define IDS_DESC_TBSTYLE_TOOLTIPS       11206
#define IDS_DESC_TBSTYLE_ALTDRAG        11207
#define IDS_DESC_TBSTYLE_CUSTOMERASE    11208
#define IDS_DESC_TBSTYLE_REGISTERDROP   11209
#define IDS_DESC_SBARS_SIZEGRIP         11210
#define IDS_DESC_LWS_TRANSPARENT        11211   // 5.0
#define IDS_DESC_LWS_IGNORERETURN       11212   // 5.0
#define IDS_DESC_LWS_NOPREFIX           11213   // 5.0
#define IDS_DESC_LWS_USEVISUALSTYLE     11214   // 5.0
#define IDS_DESC_LWS_USECUSTOMTEXT      11215   // 5.0
#define IDS_DESC_LWS_RIGHT              11216   // 5.0
#define IDS_DESC_NFS_EDIT               11217   // 5.0
#define IDS_DESC_NFS_STATIC             11218   // 5.0
#define IDS_DESC_NFS_LISTCOMBO          11219   // 5.0
#define IDS_DESC_NFS_BUTTON             11220   // 5.0
#define IDS_DESC_NFS_ALL                11221   // 5.0
#define IDS_DESC_NFS_USEFONTASSOC       11222   // 5.0
#define IDS_DESC_WS_EX_CLIENTEDGE       11223
#define IDS_DESC_WS_EX_STATICEDGE       11224
#define IDS_DESC_WS_EX_TRANSPARENT      11225
#define IDS_DESC_WS_EX_ACCEPTFILES      11226
#define IDS_DESC_WS_EX_RIGHT            11227
#define IDS_DESC_WS_EX_LEFTSCROLLBAR    11228
#define IDS_DESC_WS_EX_TOOLWINDOW       11229
#define IDS_DESC_WS_EX_CONTROLPARENT    11230
#define IDS_DESC_WS_EX_CONTEXTHELP      11231
#define IDS_DESC_WS_EX_NOPARENTNOTIFY   11232
#define IDS_DESC_WS_EX_APPWINDOW        11233   // 4.0
#define IDS_DESC_WS_EX_TOPMOST          11234   // 4.0
#define IDS_DESC_WS_EX_NOACTIVATE       11235   // 4.0

#define IDS_HELP_NAME                   11236
#define IDS_HELP_TEXT                   11237
#define IDS_HELP_ORDER                  11238
#define IDS_HELP_HELP                   11239   // 5.0
#define IDS_HELP_LEFT                   11240
#define IDS_HELP_TOP                    11241
#define IDS_HELP_WIDTH                  11242
#define IDS_HELP_HEIGHT                 11243
#define IDS_HELP_VERTRESIZER            11244   // 6.0
#define IDS_HELP_HORZRESIZER            11245   // 6.0
#define IDS_HELP_FONTNAME               11246
#define IDS_HELP_FONTSIZE               11247
#define IDS_HELP_FONTWEIGHT             11248
#define IDS_HELP_FONTCHARSET            11249
#define IDS_HELP_FONTITALIC             11250
#define IDS_HELP_CLASSNAME              11251
#define IDS_HELP_MENUNAME               11252
#define IDS_HELP_STYLES                 11253   // 4.0
#define IDS_HELP_EXSTYLES               11254   // 4.0
#define IDS_HELP_STYLE                  11255
#define IDS_HELP_ALIGNMENT              11256
#define IDS_HELP_TYPE                   11257
#define IDS_HELP_OWNERDRAW              11258
#define IDS_HELP_SELECTION              11259
#define IDS_HELP_POINT                  11260
#define IDS_HELP_VIEW                   11261
#define IDS_HELP_SORT                   11262
#define IDS_HELP_FOCUS                  11263
#define IDS_HELP_FORMAT                 11264
#define IDS_HELP_IMAGE                  11265
#define IDS_HELP_ELLIPSIS               11266
#define IDS_HELP_VERTALIGNMENT          11267
#define IDS_HELP_WS_CAPTION             11268
#define IDS_HELP_WS_SYSMENU             11269
#define IDS_HELP_WS_VISIBLE             11270
#define IDS_HELP_WS_DISABLED            11271
#define IDS_HELP_WS_BORDER              11272
#define IDS_HELP_WS_GROUP               11273
#define IDS_HELP_WS_TABSTOP             11274
#define IDS_HELP_WS_HSCROLL             11275
#define IDS_HELP_WS_VSCROLL             11276
#define IDS_HELP_WS_MINIMIZEBOX         11277
#define IDS_HELP_WS_MAXIMIZEBOX         11278
#define IDS_HELP_WS_CLIPSIBLINGS        11279
#define IDS_HELP_WS_CLIPCHILDREN        11280
#define IDS_HELP_WS_THICKFRAME          11281
#define IDS_HELP_DS_MODALFRAME          11282
#define IDS_HELP_DS_SYSMODAL            11283
#define IDS_HELP_DS_ABSALIGN            11284
#define IDS_HELP_DS_CONTEXTHELP         11285
#define IDS_HELP_DS_SETFOREGROUND       11286
#define IDS_HELP_DS_3DLOOK              11287
#define IDS_HELP_DS_NOFAILCREATE        11288
#define IDS_HELP_DS_NOIDLEMSG           11289
#define IDS_HELP_DS_CONTROL             11290
#define IDS_HELP_DS_CENTER              11291
#define IDS_HELP_DS_CENTERMOUSE         11292
#define IDS_HELP_DS_LOCALEDIT           11293
#define IDS_HELP_SS_CENTERIMAGE         11294
#define IDS_HELP_SS_REALSIZEIMAGE       11295
#define IDS_HELP_SS_REALSIZECONTROL     11296   // 4.0
#define IDS_HELP_SS_SUNKEN              11297
#define IDS_HELP_SS_SIMPLE              11298
#define IDS_HELP_SS_LEFTNOWORDWRAP      11299
#define IDS_HELP_SS_OWNERDRAW           11300
#define IDS_HELP_SS_NOPREFIX            11301
#define IDS_HELP_SS_NOTIFY              11302
#define IDS_HELP_SS_RIGHTJUST           11303
#define IDS_HELP_ES_MULTILINE           11304
#define IDS_HELP_ES_NUMBER              11305
#define IDS_HELP_ES_AUTOHSCROLL         11306
#define IDS_HELP_ES_AUTOVSCROLL         11307
#define IDS_HELP_ES_PASSWORD            11308
#define IDS_HELP_ES_NOHIDESEL           11309
#define IDS_HELP_ES_OEMCONVERT          11310
#define IDS_HELP_ES_WANTRETURN          11311
#define IDS_HELP_ES_UPPERCASE           11312
#define IDS_HELP_ES_LOWERCASE           11313
#define IDS_HELP_ES_READONLY            11314
#define IDS_HELP_ES_DISABLENOSCROLL     11315
#define IDS_HELP_BS_NOTIFY              11316
#define IDS_HELP_BS_FLAT                11317
#define IDS_HELP_BS_MULTILINE           11318
#define IDS_HELP_BS_LEFTTEXT            11319
#define IDS_HELP_BS_PUSHLIKE            11320
#define IDS_HELP_CBS_AUTOHSCROLL        11321
#define IDS_HELP_CBS_OEMCONVERT         11322
#define IDS_HELP_CBS_SORT               11323
#define IDS_HELP_CBS_HASSTRINGS         11324
#define IDS_HELP_CBS_NOINTEGRALHEIGHT   11325
#define IDS_HELP_CBS_DISABLENOSCROLL    11326
#define IDS_HELP_CBS_UPPERCASE          11327
#define IDS_HELP_CBS_LOWERCASE          11328
#define IDS_HELP_LBS_SORT               11329
#define IDS_HELP_LBS_HASSTRINGS         11330
#define IDS_HELP_LBS_NOINTEGRALHEIGHT   11331
#define IDS_HELP_LBS_DISABLENOSCROLL    11332
#define IDS_HELP_LBS_NOTIFY             11333
#define IDS_HELP_LBS_MULTICOLUMN        11334
#define IDS_HELP_LBS_NOREDRAW           11335
#define IDS_HELP_LBS_USETABSTOPS        11336
#define IDS_HELP_LBS_WANTKEYBOARDINPUT  11337
#define IDS_HELP_LBS_NODATA             11338
#define IDS_HELP_UDS_HORZ               11339
#define IDS_HELP_UDS_AUTOBUDDY          11340
#define IDS_HELP_UDS_SETBUDDYINT        11341
#define IDS_HELP_UDS_NOTHOUSANDS        11342
#define IDS_HELP_UDS_WRAP               11343
#define IDS_HELP_UDS_ARROWKEYS          11344
#define IDS_HELP_UDS_HOTTRACK           11345
#define IDS_HELP_PBS_VERTICAL           11346
#define IDS_HELP_PBS_SMOOTH             11347
#define IDS_HELP_PBS_MARQUEE            11348   // 4.0
#define IDS_HELP_TBS_VERT               11349
#define IDS_HELP_TBS_NOTICKS            11350
#define IDS_HELP_TBS_AUTOTICKS          11351
#define IDS_HELP_TBS_ENABLESELRANGE     11352
#define IDS_HELP_TBS_FIXEDLENGTH        11353
#define IDS_HELP_TBS_NOTHUMB            11354
#define IDS_HELP_TBS_TOOLTIPS           11355
#define IDS_HELP_LVS_SINGLESEL          11356
#define IDS_HELP_LVS_SHOWSELALWAYS      11357
#define IDS_HELP_LVS_AUTOARRANGE        11358
#define IDS_HELP_LVS_NOLABELWRAP        11359
#define IDS_HELP_LVS_EDITLABELS         11360
#define IDS_HELP_LVS_NOSCROLL           11361
#define IDS_HELP_LVS_NOCOLUMNHEADER     11362
#define IDS_HELP_LVS_NOSORTHEADER       11363
#define IDS_HELP_LVS_SHAREIMAGELISTS    11364
#define IDS_HELP_LVS_OWNERDRAWFIXED     11365
#define IDS_HELP_LVS_OWNERDATA          11366
#define IDS_HELP_TVS_HASBUTTONS         11367
#define IDS_HELP_TVS_HASLINES           11368
#define IDS_HELP_TVS_LINESATROOT        11369
#define IDS_HELP_TVS_EDITLABELS         11370
#define IDS_HELP_TVS_DISABLEDRAGDROP    11371
#define IDS_HELP_TVS_SHOWSELALWAYS      11372
#define IDS_HELP_TVS_NOTOOLTIPS         11373
#define IDS_HELP_TVS_CHECKBOXES         11374
#define IDS_HELP_TVS_TRACKSELECT        11375
#define IDS_HELP_TVS_SINGLEEXPAND       11376
#define IDS_HELP_TVS_INFOTIP            11377
#define IDS_HELP_TVS_FULLROWSELECT      11378
#define IDS_HELP_TVS_NOSCROLL           11379
#define IDS_HELP_TVS_NONEVENHEIGHT      11380
#define IDS_HELP_TCS_BUTTONS            11381
#define IDS_HELP_TCS_FLATBUTTONS        11382
#define IDS_HELP_TCS_TOOLTIPS           11383
#define IDS_HELP_TCS_MULTILINE          11384
#define IDS_HELP_TCS_OWNERDRAWFIXED     11385
#define IDS_HELP_TCS_FORCELABELLEFT     11386
#define IDS_HELP_TCS_FORCEICONLEFT      11387
#define IDS_HELP_TCS_HOTTRACK           11388
#define IDS_HELP_TCS_BOTTOM             11389
#define IDS_HELP_TCS_MULTISELECT        11390
#define IDS_HELP_TCS_SCROLLOPPOSITE     11391
#define IDS_HELP_TCS_VERTICAL           11392
#define IDS_HELP_ACS_CENTER             11393
#define IDS_HELP_ACS_TRANSPARENT        11394
#define IDS_HELP_ACS_AUTOPLAY           11395
#define IDS_HELP_ACS_TIMER              11396
#define IDS_HELP_DTS_RIGHTALIGN         11397
#define IDS_HELP_DTS_UPDOWN             11398
#define IDS_HELP_DTS_SHOWNONE           11399
#define IDS_HELP_MCS_DAYSTATE           11400
#define IDS_HELP_MCS_MULTISELECT        11401
#define IDS_HELP_MCS_WEEKNUMBERS        11402
#define IDS_HELP_MCS_NOTODAYCIRCLE      11403
#define IDS_HELP_MCS_NOTODAY            11404
#define IDS_HELP_CCS_NORESIZE           11405
#define IDS_HELP_CCS_TOP                11406
#define IDS_HELP_CCS_BOTTOM             11407
#define IDS_HELP_CCS_LEFT               11408
#define IDS_HELP_CCS_RIGHT              11409
#define IDS_HELP_CCS_NODIVIDER          11410
#define IDS_HELP_CCS_ADJUSTABLE         11411
#define IDS_HELP_RBS_VARHEIGHT          11412
#define IDS_HELP_RBS_BANDBORDERS        11413
#define IDS_HELP_RBS_FIXEDORDER         11414
#define IDS_HELP_RBS_REGISTERDROP       11415
#define IDS_HELP_RBS_AUTOSIZE           11416
#define IDS_HELP_RBS_VERTICALGRIPPER    11417
#define IDS_HELP_RBS_DBLCLKTOGGLE       11418
#define IDS_HELP_PGS_HORZ               11419
#define IDS_HELP_PGS_AUTOSCROLL         11420
#define IDS_HELP_PGS_DRAGNDROP          11421
#define IDS_HELP_TBSTYLE_FLAT           11422
#define IDS_HELP_TBSTYLE_LIST           11423
#define IDS_HELP_TBSTYLE_WRAPABLE       11424
#define IDS_HELP_TBSTYLE_TRANSPARENT    11425
#define IDS_HELP_TBSTYLE_TOOLTIPS       11426
#define IDS_HELP_TBSTYLE_ALTDRAG        11427
#define IDS_HELP_TBSTYLE_CUSTOMERASE    11428
#define IDS_HELP_TBSTYLE_REGISTERDROP   11429
#define IDS_HELP_SBARS_SIZEGRIP         11430
#define IDS_HELP_LWS_TRANSPARENT        11431   // 5.0
#define IDS_HELP_LWS_IGNORERETURN       11432   // 5.0
#define IDS_HELP_LWS_NOPREFIX           11433   // 5.0
#define IDS_HELP_LWS_USEVISUALSTYLE     11434   // 5.0
#define IDS_HELP_LWS_USECUSTOMTEXT      11435   // 5.0
#define IDS_HELP_LWS_RIGHT              11436   // 5.0
#define IDS_HELP_NFS_EDIT               11437   // 5.0
#define IDS_HELP_NFS_STATIC             11438   // 5.0
#define IDS_HELP_NFS_LISTCOMBO          11439   // 5.0
#define IDS_HELP_NFS_BUTTON             11440   // 5.0
#define IDS_HELP_NFS_ALL                11441   // 5.0
#define IDS_HELP_NFS_USEFONTASSOC       11442   // 5.0
#define IDS_HELP_WS_EX_CLIENTEDGE       11443
#define IDS_HELP_WS_EX_STATICEDGE       11444
#define IDS_HELP_WS_EX_TRANSPARENT      11445
#define IDS_HELP_WS_EX_ACCEPTFILES      11446
#define IDS_HELP_WS_EX_RIGHT            11447
#define IDS_HELP_WS_EX_LEFTSCROLLBAR    11448
#define IDS_HELP_WS_EX_TOOLWINDOW       11449
#define IDS_HELP_WS_EX_CONTROLPARENT    11450
#define IDS_HELP_WS_EX_CONTEXTHELP      11451
#define IDS_HELP_WS_EX_NOPARENTNOTIFY   11452
#define IDS_HELP_WS_EX_APPWINDOW        11453   // 4.0
#define IDS_HELP_WS_EX_TOPMOST          11454   // 4.0
#define IDS_HELP_WS_EX_NOACTIVATE       11455   // 4.0

#define IDS_ERR_CANTREADFILE            11456
#define IDS_ERR_CANTWRITEFILE           11457
#define IDS_ERR_LINETOOLONG             11458
#define IDS_ERR_INVALIDCHAR             11459
#define IDS_ERR_BADFILEFORMAT           11460
#define IDS_ERR_BADIMAGEFORMAT          11461
#define IDS_ERR_BADRSRCFORMAT           11462
#define IDS_ERR_BADSYNTAX               11463
#define IDS_ERR_OS2BITMAP               11464
#define IDS_ERR_UNKNOWNCODEC            11465
#define IDS_ERR_CODECERROR              11466
#define IDS_ERR_INVALIDVIDEO            11467
#define IDS_ERR_WFPPROTECTED            11468
#define IDS_ERR_TOOMANYCOLORS           11469
#define IDS_ERR_TIMESTAMP               11470
#define IDS_ERR_BADEXECFORMAT           11471   // 5.0

#define CSTRINGS                        1471    // Number of strings

//
// Menu ID's ----------------------------------------------------------------
//

//
// File menu.
//
#define IDM_FILE_NEWPROJECT         6001
#define IDM_FILE_NEWSOURCE          6002
#define IDM_FILE_NEWRESOURCE        6003
#define IDM_FILE_NEWBITMAP          6004
#define IDM_FILE_NEWICON            6005
#define IDM_FILE_NEWCURSOR          6006
#define IDM_FILE_NEWANICURSOR       6007
#define IDM_FILE_NEWVIDEO           6008
#define IDM_FILE_NEWHEXDUMP         6009
#define IDM_FILE_NEWMSGTABLE        6010    // 3.0
#define IDM_FILE_OPEN               6011
#define IDM_FILE_CLOSE              6012
#define IDM_FILE_CLOSEPROJ          6013    // 5.0
#define IDM_FILE_SAVE               6014
#define IDM_FILE_SAVEAS             6015
#define IDM_FILE_SAVEALL            6016
#define IDM_FILE_PRINT              6017
#define IDM_FILE_PRINTSETUP         6018
#define IDM_FILE_SENDMAIL           6019
#define IDM_FILE_PROPERTIES         6020
#define IDM_FILE_EXIT               6021
#define IDM_FILE_ADDIN              6022    // (placeholder, never used)

#define IDM_FILE_MRUFILE            6023    // room for 8 files.
#define IDM_FILE_MRUFILE_1          6024    // (placeholder, never used)
#define IDM_FILE_MRUFILE_2          6025    // (placeholder, never used)
#define IDM_FILE_MRUFILE_3          6026    // (placeholder, never used)
#define IDM_FILE_MRUFILE_4          6027    // (placeholder, never used)
#define IDM_FILE_MRUFILE_5          6028    // (placeholder, never used)
#define IDM_FILE_MRUFILE_6          6029    // (placeholder, never used)
#define IDM_FILE_MRUFILE_7          6030    // (placeholder, never used)
#define IDM_FILE_MRUFILE_8          6031    // (placeholder, never used)
#define IDM_FILE_MRUPROJ            6032    // room for 8 projects.
#define IDM_FILE_MRUPROJ_1          6033    // (placeholder, never used)
#define IDM_FILE_MRUPROJ_2          6034    // (placeholder, never used)
#define IDM_FILE_MRUPROJ_3          6035    // (placeholder, never used)
#define IDM_FILE_MRUPROJ_4          6036    // (placeholder, never used)
#define IDM_FILE_MRUPROJ_5          6037    // (placeholder, never used)
#define IDM_FILE_MRUPROJ_6          6038    // (placeholder, never used)
#define IDM_FILE_MRUPROJ_7          6039    // (placeholder, never used)
#define IDM_FILE_MRUPROJ_8          6040    // (placeholder, never used)

//
// Edit menu.
//
#define IDM_EDIT_UNDO               6041
#define IDM_EDIT_REDO               6042
#define IDM_EDIT_CUT                6043
#define IDM_EDIT_COPY               6044
#define IDM_EDIT_PASTE              6045
#define IDM_EDIT_INSERT             6046
#define IDM_EDIT_DELETE             6047
#define IDM_EDIT_DELETEWORD         6048
#define IDM_EDIT_SELECTALL          6049
#define IDM_EDIT_FIND               6050
#define IDM_EDIT_FINDNEXT           6051
#define IDM_EDIT_REPLACE            6052
#define IDM_EDIT_FILEFIND           6053
#define IDM_EDIT_GOTO               6054
#define IDM_EDIT_ADDIN              6055    // (placeholder, never used)
//
// View menu.
//
#define IDM_VIEW_LABELS             6056
#define IDM_VIEW_INCLUDES           6057
#define IDM_VIEW_SOURCEFILES        6058    // 5.0
#define IDM_VIEW_TARGETFILES        6059    // 5.0
#define IDM_VIEW_PROJECT            6060    // 5.0
#define IDM_VIEW_FILEFIND           6061    // 5.0
#define IDM_VIEW_OUTPUT             6062    // 5.0
#define IDM_VIEW_TRACE              6063    // 5.0
#define IDM_VIEW_BREAKPOINTS        6064    // 5.0
#define IDM_VIEW_AUTO               6065    // 5.0
#define IDM_VIEW_WATCH              6066    // 5.0
#define IDM_VIEW_LOCALS             6067    // 5.0
#define IDM_VIEW_GLOBALS            6068    // 5.0
#define IDM_VIEW_REGISTERS          6069    // 5.0
#define IDM_VIEW_STACK              6070    // 5.0
#define IDM_VIEW_MEMORY             6071    // 5.0
#define IDM_VIEW_THREADS            6072    // 5.0
#define IDM_VIEW_MODULES            6073    // 5.0
#define IDM_VIEW_EXCEPTIONS         6074    // 5.0
#define IDM_VIEW_SHOWTOOLBAR        6075
#define IDM_VIEW_SHOWSTATUSBAR      6076
#define IDM_VIEW_SHOWDOCTABS        6077
#define IDM_VIEW_TOGGLEPROJPANE     6078    // 4.0 (hidden)
#define IDM_VIEW_TABPAGES           6079    // 5.0 (placeholder, never used)
#define IDM_VIEW_ADDIN              6080    // (placeholder, never used)
//
// Project menu.
//
#define IDM_PROJ_BUILD              6081    // Project menu.
#define IDM_PROJ_REBUILD            6082    // Project menu (5.0: IDM_PROJ_BUILDALL -> IDM_PROJ_REBUILD).
#define IDM_PROJ_BUILDWKS           6083    // Project menu (5.0).
#define IDM_PROJ_REBUILDWKS         6084    // Project menu (5.0).
#define IDM_PROJ_COMPILE            6085    // Project menu.
#define IDM_PROJ_STOPBUILD          6086    // Project menu.
#define IDM_PROJ_EXECUTE            6087    // Project menu.
#define IDM_PROJ_ADDFILE            6088    // Project menu.
#define IDM_PROJ_ADDPROJECT         6089    // Project menu (4.0).
#define IDM_PROJ_MAKEALLPREQS       6090    // Project menu.
#define IDM_PROJ_TOWIN64            6091    // Project menu (6.0).
#define IDM_PROJ_ZIP                6092    // Project menu.
#define IDM_PROJ_UNZIP              6093    // Project menu.
#define IDM_PROJ_SETACTIVE          6094    // Project menu (4.0).
#define IDM_PROJ_DEPENDENCIES       6095    // Project menu (4.0).
#define IDM_PROJ_SETTINGS           6096    // Project menu.
#define IDM_PROJ_WORKSPACE          6097    // Project menu (4.0).
#define IDM_PROJ_CTX_OPEN           6098    // Context menu (4.0).
#define IDM_PROJ_CTX_OPENAS_TEXT    6099    // Context menu (5.0).
#define IDM_PROJ_CTX_OPENAS_BINARY  6100    // Context menu (5.0).
#define IDM_PROJ_CTX_ADDFILE        6101    // Context menu (4.0).
#define IDM_PROJ_CTX_DELETE         6102    // Context menu (4.0).
#define IDM_PROJ_CTX_RENAME         6103    // Context menu (4.0).
#define IDM_PROJ_CTX_EXCLUDE        6104    // Context menu (4.0).
#define IDM_PROJ_CTX_ZIP            6105    // Context menu (4.0).
#define IDM_PROJ_CTX_UNZIP          6106    // Context menu (4.0).
#define IDM_PROJ_CTX_SETACTIVE      6107    // Context menu (4.0).
#define IDM_PROJ_CTX_MAKEALLPREQS   6108    // Context menu (4.0).
#define IDM_PROJ_CTX_SORTFUNCS      6109    // Context menu (4.0).
#define IDM_PROJ_CTX_SETTINGS       6110    // Context menu (4.0).
#define IDM_PROJ_CTX_PROPERTIES     6111    // Context menu (4.0).
#define IDM_PROJ_CTX_BUILD          6112    // Context menu (4.0).
#define IDM_PROJ_CTX_REBUILD        6113    // Context menu (4.0) (5.0: IDM_PROJ_CTX_FORCEBUILD -> IDM_PROJ_CTX_REBUILD).
#define IDM_PROJ_CTX_EXECUTE        6114    // Context menu (4.0).
#define IDM_PROJ_CTX_DEBUG          6115    // Context menu (4.0).
#define IDM_PROJ_CTX_MAKETARGPREQS  6116    // Context menu (4.0).
#define IDM_PROJ_CTX_TOGGLEPANE     6117    // Context menu (4.0).
#define IDM_PROJ_ADDIN              6118    // (placeholder, never used)
#define IDM_PROJ_ADDIN_CTX          6119    // (placeholder, never used)
//
// Tools window.
//
#define IDM_TOOL_CUSTOMIZE          6120
#define IDM_TOOL_SETTINGS           6121
#define IDM_TOOL_CUSTOMTOOL         6122    // room for 16 tools.
#define IDM_TOOL_CUSTOMTOOL_1       6123    // (placeholder, never used)
#define IDM_TOOL_CUSTOMTOOL_2       6124    // (placeholder, never used)
#define IDM_TOOL_CUSTOMTOOL_3       6125    // (placeholder, never used)
#define IDM_TOOL_CUSTOMTOOL_4       6126    // (placeholder, never used)
#define IDM_TOOL_CUSTOMTOOL_5       6127    // (placeholder, never used)
#define IDM_TOOL_CUSTOMTOOL_6       6128    // (placeholder, never used)
#define IDM_TOOL_CUSTOMTOOL_7       6129    // (placeholder, never used)
#define IDM_TOOL_CUSTOMTOOL_8       6130    // (placeholder, never used) (5.0)
#define IDM_TOOL_CUSTOMTOOL_9       6131    // (placeholder, never used) (5.0)
#define IDM_TOOL_CUSTOMTOOL_10      6132    // (placeholder, never used) (5.0)
#define IDM_TOOL_CUSTOMTOOL_11      6133    // (placeholder, never used) (5.0)
#define IDM_TOOL_CUSTOMTOOL_12      6134    // (placeholder, never used) (5.0)
#define IDM_TOOL_CUSTOMTOOL_13      6135    // (placeholder, never used) (5.0)
#define IDM_TOOL_CUSTOMTOOL_14      6136    // (placeholder, never used) (5.0)
#define IDM_TOOL_CUSTOMTOOL_15      6137    // (placeholder, never used) (5.0)
//
// Window menu.
//
#define IDM_WIN_NEW                 6138
#define IDM_WIN_CASCADE             6139
#define IDM_WIN_TILEVERT            6140
#define IDM_WIN_TILEHORZ            6141
#define IDM_WIN_CLOSEALL            6142
//
// Help menu.
//
#define IDM_HELP_CONTENTS           6143
#define IDM_HELP_CUSTOM             6144    // (placeholder, never used) (5.0)
#define IDM_HELP_WEB_FORUM          6145    // 3.0
#define IDM_HELP_WEB_SOURCECODE     6146    // 3.0
#define IDM_HELP_WEB_DONATE         6147    // 3.0
#define IDM_HELP_WEB_ADDIN          6148    // (placeholder, never used)
#define IDM_HELP_ABOUT              6149
#define IDM_HELP_CUSTOMHELP         6150    // room for 16 help files.
#define IDM_HELP_CUSTOMHELP_1       6151    // (placeholder, never used)
#define IDM_HELP_CUSTOMHELP_2       6152    // (placeholder, never used)
#define IDM_HELP_CUSTOMHELP_3       6153    // (placeholder, never used)
#define IDM_HELP_CUSTOMHELP_4       6154    // (placeholder, never used)
#define IDM_HELP_CUSTOMHELP_5       6155    // (placeholder, never used)
#define IDM_HELP_CUSTOMHELP_6       6156    // (placeholder, never used)
#define IDM_HELP_CUSTOMHELP_7       6157    // (placeholder, never used)
#define IDM_HELP_CUSTOMHELP_8       6158    // (placeholder, never used) (5.0)
#define IDM_HELP_CUSTOMHELP_9       6159    // (placeholder, never used) (5.0)
#define IDM_HELP_CUSTOMHELP_10      6160    // (placeholder, never used) (5.0)
#define IDM_HELP_CUSTOMHELP_11      6161    // (placeholder, never used) (5.0)
#define IDM_HELP_CUSTOMHELP_12      6162    // (placeholder, never used) (5.0)
#define IDM_HELP_CUSTOMHELP_13      6163    // (placeholder, never used) (5.0)
#define IDM_HELP_CUSTOMHELP_14      6164    // (placeholder, never used) (5.0)
#define IDM_HELP_CUSTOMHELP_15      6165    // (placeholder, never used) (5.0)
#define IDM_HELP_ADDIN              6166    // (placeholder, never used)

//
// Image/Dialog/Resource/Animation/Source/Debug window.
//
#define IDM_IMG_NEWIMAGE            6167
#define IDM_IMG_DELETEIMAGE         6168
#define IDM_IMG_RESIZE              6169    // 5.0
#define IDM_IMG_MIRROR_HORZ         6170
#define IDM_IMG_MIRROR_VERT         6171
#define IDM_IMG_ROTATE              6172
#define IDM_IMG_GRAYSCALE           6173
#define IDM_IMG_SEPIATONE           6174    // 4.0
#define IDM_IMG_HSV                 6175
#define IDM_IMG_OPAQUEALPHA         6176    // 4.0
#define IDM_IMG_EFFECT_OILPAINT     6177
#define IDM_IMG_EFFECT_SPREAD       6178
#define IDM_IMG_EFFECT_EMBOSS       6179
#define IDM_IMG_EFFECT_FISHEYE      6180
#define IDM_IMG_EFFECT_DROPSHADOW   6181    // 4.0
#define IDM_IMG_EFFECT_BLUR         6182
#define IDM_IMG_EFFECT_SHARPEN      6183
//
#define IDM_DLG_NEWPICTURE          6184    // 4.50
#define IDM_DLG_NEWTEXT             6185    // 4.50
#define IDM_DLG_NEWEDITBOX          6186    // 4.50
#define IDM_DLG_NEWGROUPBOX         6187    // 4.50
#define IDM_DLG_NEWPUSHBUTTON       6188    // 4.50
#define IDM_DLG_NEWCHECKBOX         6189    // 4.50
#define IDM_DLG_NEWRADIOBUTTON      6190    // 4.50
#define IDM_DLG_NEWCOMBOBOX         6191    // 4.50
#define IDM_DLG_NEWLISTBOX          6192    // 4.50
#define IDM_DLG_NEWHSCROLLBAR       6193    // 4.50
#define IDM_DLG_NEWVSCROLLBAR       6194    // 4.50
#define IDM_DLG_NEWUPDOWN           6195    // 4.50
#define IDM_DLG_NEWPROGRESS         6196    // 4.50
#define IDM_DLG_NEWTRACKBAR         6197    // 4.50
#define IDM_DLG_NEWHOTKEY           6198    // 4.50
#define IDM_DLG_NEWLISTVIEW         6199    // 4.50
#define IDM_DLG_NEWTREEVIEW         6200    // 4.50
#define IDM_DLG_NEWTABCONTROL       6201    // 4.50
#define IDM_DLG_NEWANIMATE          6202    // 4.50
#define IDM_DLG_NEWRICHEDIT         6203    // 4.50
#define IDM_DLG_NEWRICHED20         6204    // 4.50
#define IDM_DLG_NEWDATETIME         6205    // 4.50
#define IDM_DLG_NEWMONTHCAL         6206    // 4.50
#define IDM_DLG_NEWCOMBOBOXEX       6207    // 4.50
#define IDM_DLG_NEWREBAR            6208    // 4.50
#define IDM_DLG_NEWPAGER            6209    // 4.50
#define IDM_DLG_NEWTOOLBAR          6210    // 4.50
#define IDM_DLG_NEWSTATUSBAR        6211    // 4.50
#define IDM_DLG_NEWSYSLINK          6212    // 5.0
#define IDM_DLG_NEWIPADDRESS        6213    // 5.0
#define IDM_DLG_NEWNETADDRESS       6214    // 5.0
#define IDM_DLG_NEWSPLITBUTTON      6215    // 5.0
#define IDM_DLG_NEWCOMMANDLINK      6216    // 5.0
#define IDM_DLG_NEWNATIVEFONT       6217    // 5.0
#define IDM_DLG_ALIGN               6218
#define IDM_DLG_ALIGNLEFT           6219
#define IDM_DLG_ALIGNVERT           6220
#define IDM_DLG_ALIGNRIGHT          6221
#define IDM_DLG_ALIGNTOP            6222
#define IDM_DLG_ALIGNHORZ           6223
#define IDM_DLG_ALIGNBOTTOM         6224
#define IDM_DLG_CENTER              6225
#define IDM_DLG_CENTERVERT          6226
#define IDM_DLG_CENTERHORZ          6227
#define IDM_DLG_SPACE               6228
#define IDM_DLG_SPACEVERT           6229
#define IDM_DLG_SPACEHORZ           6230
#define IDM_DLG_ARRSIZE             6231
#define IDM_DLG_ARRSIZEWIDTH        6232
#define IDM_DLG_ARRSIZEHEIGHT       6233
#define IDM_DLG_ARRSIZEBOTH         6234
#define IDM_DLG_ARRPUSH             6235
#define IDM_DLG_ARRPUSHBOTTOM       6236
#define IDM_DLG_ARRPUSHRIGHT        6237
#define IDM_DLG_SIZETOTEXT          6238
#define IDM_DLG_SORTNAMES           6239
#define IDM_DLG_SORTPROPS           6240
#define IDM_DLG_PROPDESCRIPTION     6241
#define IDM_DLG_RAWSTYLES           6242    // 4.0
#define IDM_DLG_HIDEPROPS           6243
#define IDM_DLG_NEWCUSTOM           6244
#define IDM_DLG_OPENCUSTOM          6245
#define IDM_DLG_REMOVECUSTOM        6246
#define IDM_DLG_LOCKCONTROLS        6247
#define IDM_DLG_ORDERCONTROLS       6248
//
#define IDM_RSRC_NEWBITMAP          6249
#define IDM_RSRC_NEWICON            6250
#define IDM_RSRC_NEWCURSOR          6251
#define IDM_RSRC_NEWANICURSOR       6252
#define IDM_RSRC_NEWVIDEO           6253
#define IDM_RSRC_NEWDIALOG          6254
#define IDM_RSRC_NEWMENU            6255
#define IDM_RSRC_NEWSTRINGTABLE     6256
#define IDM_RSRC_NEWMSGTABLE        6257    // 3.0
#define IDM_RSRC_NEWACCEL           6258
#define IDM_RSRC_NEWVERSION         6259
#define IDM_RSRC_NEWMANIFEST        6260
#define IDM_RSRC_NEWHTML            6261    // 5.0
#define IDM_RSRC_NEWCUSTOM          6262    // 3.0
#define IDM_RSRC_NEWCOPY            6263
#define IDM_RSRC_IMPORT             6264
#define IDM_RSRC_EXPORT             6265    // 6.0
#define IDM_RSRC_SORTNAMES          6266
#define IDM_RSRC_ADDIN              6267    // 3.0 (placeholder, never used)
#define IDM_RSRC_NEW_ADDIN          6268    // 3.0 (placeholder, never used)
//
#define IDM_ANIM_IMPORT             6269
//
#define IDM_MESS_SETINCLUDE         6270    // 3.0
#define IDM_MESS_VIEWLABELS         6271    // 3.0
#define IDM_MESS_ADDIN              6272    // 3.0 (placeholder, never used)
//
#define IDM_SRC_FORCECALLTIP        6273    // 4.50
#define IDM_SRC_COMPLETEWORD        6274
#define IDM_SRC_INSERTSNIPPET       6275    // 5.0
#define IDM_SRC_SURROUNDBYPOPUP     6276    // 5.0
#define IDM_SRC_SURROUNDBY          6277    // 5.0 - room for 16 snippets.
#define IDM_SRC_SURROUNDBY_1        6278    // 5.0 (placeholder, never used)
#define IDM_SRC_SURROUNDBY_2        6279    // 5.0 (placeholder, never used)
#define IDM_SRC_SURROUNDBY_3        6280    // 5.0 (placeholder, never used)
#define IDM_SRC_SURROUNDBY_4        6281    // 5.0 (placeholder, never used)
#define IDM_SRC_SURROUNDBY_5        6282    // 5.0 (placeholder, never used)
#define IDM_SRC_SURROUNDBY_6        6283    // 5.0 (placeholder, never used)
#define IDM_SRC_SURROUNDBY_7        6284    // 5.0 (placeholder, never used)
#define IDM_SRC_SURROUNDBY_8        6285    // 5.0 (placeholder, never used)
#define IDM_SRC_SURROUNDBY_9        6286    // 5.0 (placeholder, never used)
#define IDM_SRC_SURROUNDBY_10       6287    // 5.0 (placeholder, never used)
#define IDM_SRC_SURROUNDBY_11       6288    // 5.0 (placeholder, never used)
#define IDM_SRC_SURROUNDBY_12       6289    // 5.0 (placeholder, never used)
#define IDM_SRC_SURROUNDBY_13       6290    // 5.0 (placeholder, never used)
#define IDM_SRC_SURROUNDBY_14       6291    // 5.0 (placeholder, never used)
#define IDM_SRC_SURROUNDBY_15       6292    // 5.0 (placeholder, never used)
#define IDM_SRC_UCASE               6293
#define IDM_SRC_LCASE               6294
#define IDM_SRC_TABTOSPACE          6295
#define IDM_SRC_SPACETOTAB          6296
#define IDM_SRC_FORMAT              6297    // 3.0
#define IDM_SRC_COMMENT             6298    // 4.0
#define IDM_SRC_UNCOMMENT           6299    // 4.0
#define IDM_SRC_NEXTBOOKMARK        6300
#define IDM_SRC_PREVBOOKMARK        6301
#define IDM_SRC_SETBOOKMARK         6302
#define IDM_SRC_CLEARBOOKMARKS      6303
#define IDM_SRC_WHITESPACE          6304
#define IDM_SRC_LINEBREAKS          6305
#define IDM_SRC_LINENUMBERS         6306
#define IDM_SRC_FOLDINGS            6307
#define IDM_SRC_MATCHINGBRACES      6308    // 4.50
#define IDM_SRC_OPENINCLUDE         6309    // 4.50
#define IDM_SRC_CONTEXTHELP         6310
#define IDM_SRC_VIEWDEFINITION      6311
#define IDM_SRC_PREVDEFINITION      6312
#define IDM_SRC_FINDCALLSITES       6313    // 4.0
#define IDM_SRC_FOLDALL             6314
#define IDM_SRC_UNFOLDALL           6315
#define IDM_SRC_ADDIN               6316    // (placeholder, never used)
#define IDM_SRC_ADDIN_CONV          6317    // (placeholder, never used)
//
#define IDM_DBG_GO                  6318
#define IDM_DBG_RESTART             6319
#define IDM_DBG_STOP                6320
#define IDM_DBG_BREAK               6321
#define IDM_DBG_STEPINTO            6322
#define IDM_DBG_STEPOVER            6323
#define IDM_DBG_STEPOUT             6324    // 4.0
#define IDM_DBG_RUNTOCURSOR         6325    // 4.0
#define IDM_DBG_TOGGLEBREAKPOINT    6326    // 4.0
#define IDM_DBG_EDITBREAKPOINT      6327    // 4.0
#define IDM_DBG_REMOVEBREAKPOINT    6328    // 4.0
#define IDM_DBG_REMOVEBREAKPOINTS   6329    // 4.0
#define IDM_DBG_SHOWNEXTSTMT        6330
#define IDM_DBG_SHOWDISASM          6331
#define IDM_DBG_SHOWSOURCE          6332
#define IDM_DBG_SHOWCODEBYTES       6333
#define IDM_DBG_SHOWSYMBOLS         6334
#define IDM_DBG_ADDWATCH            6335
#define IDM_DBG_REMOVEWATCH         6336
#define IDM_DBG_REMOVEALLWATCHES    6337
#define IDM_DBG_QUICKWATCH          6338    // 4.0
#define IDM_DBG_HWBREAKS            6339    // 4.0
#define IDM_DBG_HEXVALUES           6340    // 4.50
#define IDM_DBG_CPU                 6341    // 5.0
#define IDM_DBG_FPU                 6342    // 5.0
#define IDM_DBG_MMX                 6343    // 5.0
#define IDM_DBG_SSE                 6344    // 5.0
#define IDM_DBG_SSE2                6345    // 5.0
//
// Misc commands.
//
#define IDM_MISC_OPEN               6346
#define IDM_MISC_TEST               6347
#define IDM_MISC_CHECKMNEMONICS     6348
#define IDM_MISC_NEXTWINDOW         6349
#define IDM_MISC_KILLPROCESS        6350
//
// Drag & drop menu.
//
#define IDM_DROP_MOVE               6351
#define IDM_DROP_COPY               6352
#define IDM_DROP_CANCEL             6353
//
// Add-in commands (internal).
//
#define IDM_ADDIN_COMMAND           6354
// Range to: IDM_ADDIN_COMMAND + CMAXADDINS - 1

//
// Dialog ID's --------------------------------------------------------------
//

#define DLG_SPLASH              1001
#define DLG_ABOUT               1002
#define DLG_PROJECTRIBBON       1003
#define DLG_FORMRIBBON          1004
#define DLG_MENURIBBON          1005
#define DLG_PICTRIBBON          1006
#define DLG_ANIMRIBBON          1007
#define DLG_MEMRIBBON           1008
#define DLG_OPENAS              1009    // 4.50
#define DLG_NEWPROJECT          1010
#define DLG_NEWDEFPROJECT       1011    // 4.0
#define DLG_NEWICONIMAGE        1012
#define DLG_NEWCURSORIMAGE      1013
#define DLG_NEWCUSTOMIMAGE      1014    // 6.0
#define DLG_PROPSFILE           1015
#define DLG_PROPSSOURCE         1016
#define DLG_PROPSPROJ           1017    // 5.0
#define DLG_PROPSCMDS           1018
#define DLG_PROPSPREQS          1019
#define DLG_PROPSBITMAP         1020
#define DLG_PROPSICONCURSOR     1021
#define DLG_PROPSRSRC           1022
#define DLG_PROPSRSRC2          1023    // 5.0
#define DLG_PROPSSTRING         1024
#define DLG_PROPSMESSAGE        1025    // 3.0
#define DLG_PROPSMENU           1026
#define DLG_PROPSMENU2          1027
#define DLG_PROPSACCEL          1028
#define DLG_PROPSACON           1029
#define DLG_PROPSVIDEO          1030
#define DLG_SETUPGENERAL        1031
#define DLG_SETUPSOURCE         1032
#define DLG_SETUPTABS           1033    // 3.0
#define DLG_SETUPDIALOG         1034
#define DLG_SETUPIMAGE          1035
#define DLG_SETUPDEBUG          1036
#define DLG_SETUPFOLDERS        1037
#define DLG_SETUPADDINS         1038
#define DLG_SETUPSYSDEFS        1039    // 5.0
#define DLG_SETUPPROJECT        1040
#define DLG_SETUPCOMPILER       1041
#define DLG_SETUPASSEMBLER      1042
#define DLG_SETUPLINKER         1043
#define DLG_SETUPRESCOMPILER    1044
#define DLG_SETUPMSGCOMPILER    1045    // 6.0
#define DLG_SETUPLIBRARIAN      1046
#define DLG_SETUPINSTBUILDER    1047    // 5.0
#define DLG_SETUPCABBUILDER     1048    // 5.0
#define DLG_SETUPSIGNER         1049    // 5.0
#define DLG_SETUPPROJFOLDERS    1050    // 3.0
#define DLG_SETUPMACROS         1051
#define DLG_PRINT               1052
#define DLG_FIND                1053
#define DLG_REPLACE             1054
#define DLG_FILEFIND            1055
#define DLG_GOTOLINE            1056
#define DLG_GOTOFUNCTION        1057
#define DLG_RSRCLABELS          1058
#define DLG_RSRCINCLUDES        1059
#define DLG_CUSTOMTOOLS         1060
#define DLG_TOOL                1061
#define DLG_CUSTOMHELP          1062
#define DLG_HELP                1063
#define DLG_CUSTOMKEYS          1064
#define DLG_ADDINS              1065
#define DLG_SNIPPETS            1066    // 5.0
#define DLG_SNIPPET             1067    // 5.0
#define DLG_CUSTOMRESOURCE      1068    // 3.0
#define DLG_IMPORTRESOURCE      1069
#define DLG_DUPRESOURCE         1070
#define DLG_PROJMACRO           1071
#define DLG_NEWCUSTOM           1072
#define DLG_REMOVECUSTOM        1073
#define DLG_SELECTCUSTOM        1074
#define DLG_COLORPAL            1075    // 4.0
#define DLG_COLORHSV            1076    // 4.0
#define DLG_RESIZEIMAGE         1077    // 5.0
#define DLG_ROTATEIMAGE         1078
#define DLG_OILPAINTIMAGE       1079
#define DLG_SPREADIMAGE         1080
#define DLG_FISHEYEIMAGE        1081
#define DLG_DROPSHADOWIMAGE     1082    // 4.0
#define DLG_HSVIMAGE            1083
#define DLG_DRAWTEXT            1084
#define DLG_FORMTEXT            1085    // 5.0
#define DLG_MENUTEST            1086
#define DLG_TYPEDKEY            1087
#define DLG_ADDPROJFILE         1088    // 4.0
#define DLG_SELECTPROJECT       1089    // 4.0
#define DLG_PROJECTDEPS         1090    // 4.0
#define DLG_SAVEZIP             1091
#define DLG_EXTRACTZIP          1092
#define DLG_BROWSEINFO          1093
#define DLG_SELECTSNIPPET       1094    // 5.0
#define DLG_EDITBREAK           1095    // 4.0
#define DLG_ADDWATCH            1096
#define DLG_QUICKWATCH          1097    // 4.0
#define DLG_HWBREAKS            1098    // 4.0
#define DLG_EFLAGS              1099
#define DLG_CONTROLWORD         1100
#define DLG_STATUSWORD          1101
#define DLG_TAGWORD             1102
#define DLG_MXCSR               1103
#define DLG_PSR                 1104    // 4.50
#define DLG_DEBUGEXE            1105    // 5.0
// Number 1119 is reserved for stc32!
// Range ctlFirst (1024) to ctlLast (1279).

//
// Dialog control ID's ------------------------------------------------------
//

#define DID_ABOUT1              4001
#define DID_ABOUT2              4002
#define DID_ABOUT3              4003
#define DID_ABOUT4              4004
#define DID_ABOUT5              4005
#define DID_IMAGELIST           4006    // DLG_PICTRIBBON
#define DID_HOTSPOT             4007
#define DID_HOTSPOTLABEL        4008
#define DID_ACONFRAME           4009
#define DID_ACONRATE            4010
#define DID_ACONRATESPIN        4011
#define DID_ACONTITLE           4012
#define DID_ACONARTIST          4013
#define DID_ACONFRAMES          4014
#define DID_ACONSTEPS           4015
#define DID_ACONRATEDEF         4016
#define DID_OPENASLIST          4017    // 4.50
#define DID_NEWPROJLIST         4018
#define DID_NEWPROJVIEW         4019
#define DID_PROJNAME            4020
#define DID_PROJPATH            4021
#define DID_ADVANCED            4022    // 6.0
#define DID_OUTPUTPATH          4023    // 6.0
#define DID_OUTPUTPATHLABEL     4024    // 6.0
#define DID_RESULTPATH          4025    // 6.0
#define DID_RESULTPATHLABEL     4026    // 6.0
#define DID_NEWWORKSPACE        4027    // 4.0
#define DID_ADDTOWORKSPACE      4028    // 4.0
#define DID_NEWIMAGELIST        4029    // Both Icon and Cursor. Must be!
#define DID_CUSTOMCLASS         4030
#define DID_CUSTOMSTYLE         4031
#define DID_CUSTOMEXSTYLE       4032
#define DID_CUSTOMWIDTH         4033
#define DID_CUSTOMHEIGHT        4034
#define DID_CUSTOMTEXT          4035
#define DID_FILENAME            4036
#define DID_FILENAMEDOS         4037
#define DID_FILEPATH            4038
#define DID_FILESIZE            4039
#define DID_FILEICON            4040
#define DID_FILEMESSAGE         4041    // 5.0
#define DID_TIME_CREATED        4042
#define DID_TIME_CHANGED        4043
#define DID_TIME_TOUCHED        4044
#define DID_ATTR_ARCHIVE        4045
#define DID_ATTR_READONLY       4046
#define DID_ATTR_HIDDEN         4047
#define DID_ATTR_SYSTEM         4048
#define DID_LANGUAGE            4049
#define DID_CRBREAK             4050
#define DID_LFBREAK             4051
#define DID_ENCODING            4052    // 5.0
#define DID_ENCODING2           4053    // 5.0
#define DID_ENCODING3           4054    // 5.0
#define DID_CTRLCHARS           4055
#define DID_SHELLCOMMANDS       4056
#define DID_MACROLIST           4057
#define DID_MACRONAME           4058
#define DID_MACROVALUE          4059
#define DID_PREQSLIST           4060
#define DID_IMAGEWIDTH          4061
#define DID_IMAGEHEIGHT         4062
#define DID_IMAGECOLORS         4063
#define DID_COMPRESSEDFILE      4064
#define DID_TRANSPARENCY        4065    // 5.0
#define DID_XORMASK             4066
#define DID_ANDMASK             4067
#define DID_RSRCID              4068
#define DID_RSRCLANGUAGE        4069
#define DID_RSRCFILENAME        4070    // 4.0
#define DID_RSRCTYPE            4071    // 3.0
#define DID_STRINGID            4072
#define DID_STRINGTEXT          4073
#define DID_MSGID               4074    // 3.0
#define DID_MSGCODE             4075    // 3.0
#define DID_MSGFACILITY         4076    // 3.0
#define DID_MSGSEVERITY         4077    // 3.0
#define DID_MSGCUSTOMER         4078    // 3.0
#define DID_MSGTEXT             4079    // 3.0
#define DID_MSGANSI             4080    // 3.0
#define DID_MSGUNICODE          4081    // 3.0
#define DID_MENUID              4082
#define DID_MENUTEXT            4083
#define DID_MENUPOPUP           4084
#define DID_MENUSEPARATOR       4085
#define DID_MENUDEFAULT         4086
#define DID_MENUGRAYED          4087
#define DID_MENUCHECKED         4088
#define DID_MENURADIOCHECK      4089
#define DID_MENUBREAK           4090
#define DID_MENUTEXTID          4091    // Menubar
#define DID_MENUCHECKBUTTON     4092    // Menubar
#define DID_MENUGROUP           4093    // Menubar
#define DID_MENUAUTOSIZE        4094    // Menubar
#define DID_MENUNOWRAP          4095    // Menubar
#define DID_MENUPRESSED         4096    // Menubar
#define DID_MENUDISABLED        4097    // Menubar
#define DID_MENUELLIPSIS        4098    // Menubar
#define DID_MENUINDETERMINATE   4099    // Menubar
#define DID_MENUHIDDEN          4100    // Menubar
#define DID_MENUHIGHLIGHTED     4101    // Menubar
#define DID_ACCELID             4102
#define DID_ACCELKEY            4103
#define DID_ACCELCTRL           4104
#define DID_ACCELALT            4105
#define DID_ACCELSHIFT          4106
#define DID_ACCELASCII          4107
#define DID_ACCELVIRTKEY        4108
#define DID_VIDEORATE           4109
#define DID_VIDEORATESPIN       4110
#define DID_FRAMERATE           4111
#define DID_FRAMERATESPIN       4112
#define DID_TRANSPARENT         4113
#define DID_CODEC               4114
#define DID_SHOWSPLASH          4115
#define DID_SHOWPATH            4116
#define DID_FASTFILECLASS       4117
#define DID_AUTOFILESAVE        4118
#define DID_AUTORELOAD          4119    // 6.0
#define DID_AUTOLOADPROJECT     4120
#define DID_FASTLOADPROJECT     4121    // 3.0
#define DID_MAKEBACKUP          4122
#define DID_UNIQUEZIPNAMES      4123    // 4.0
#define DID_UNIQUERSRCIDENTS    4124    // 4.0
#define DID_MOUSELINES          4125
#define DID_MOUSELINESSPIN      4126
#define DID_COLORLIST           4127
#define DID_FORECOLOR           4128
#define DID_BACKCOLOR           4129
#define DID_FONTFACE            4130
#define DID_FONTSIZE            4131
#define DID_BROWSEINFO          4132
#define DID_BROWSELEVEL1        4133
#define DID_BROWSELEVEL2        4134
#define DID_CALLTIPS            4135
#define DID_MEMBERLIST          4136
#define DID_DRAGDROP            4137
#define DID_WRAPFINDQUERY       4138
#define DID_TABSIZE             4139
#define DID_INDENTSIZE          4140    // 4.50
#define DID_USETABS             4141    // 3.0
#define DID_SPACETABS           4142    // 3.0
#define DID_INDENTNONE          4143    // 3.0
#define DID_INDENTBLOCK         4144    // 3.0
#define DID_INDENTSMART         4145    // 3.0
#define DID_CSTYLE1             4146    // 3.0
#define DID_CSTYLE2             4147    // 3.0
#define DID_CXFORMGRID          4148
#define DID_CYFORMGRID          4149
#define DID_CXFORMMARGIN        4150
#define DID_CYFORMMARGIN        4151
#define DID_CXCONTROLSPACE      4152
#define DID_CYCONTROLSPACE      4153
#define DID_CXBUTTONSPACE       4154
#define DID_CYBUTTONSPACE       4155
#define DID_FORMGRID            4156
#define DID_PIXELGRID           4157
#define DID_IMAGEGRID           4158
#define DID_CXIMAGEGRID         4159
#define DID_CYIMAGEGRID         4160
#define DID_JPEGQUALITY         4161
#define DID_PNGCOMPRESSION      4162    // 4.0
#define DID_USEDITHER           4163
#define DID_JITDEBUGGER         4164
#define DID_HEXVALUES           4165
#define DID_CHECKSOURCETIME     4166
#define DID_FLAGSDIALOG         4167
#define DID_BREAKONENTRY        4168    // 4.0
#define DID_MAXARRAYELEMS       4169    // 3.0
#define DID_FOLDERGROUP         4170
#define DID_FOLDERS             4171
#define DID_ARGUMENTS           4172    // PROJ
#define DID_WORKPATH            4173    // PROJ
#define DID_EXECUTOR            4174    // PROJ
#define DID_DEBUGINFO           4175    // CC, AS, LINK
#define DID_CRTLIB              4176    // CC
#define DID_OPTIMIZATION        4177    // CC
#define DID_WARNINGLEVEL        4178    // CC
#define DID_CALLCONV            4179    // CC, AS
#define DID_MACHINE             4180    // CC, AS, LINK
#define DID_FPMODEL             4181    // CC (6.0)
#define DID_INLINEMODEL         4182    // CC (6.0)
#define DID_MSEXTENSIONS        4183    // CC
#define DID_EXTENSIONS          4184    // CC
#define DID_OLDNAMES            4185    // CC
#define DID_NOMANGLENAMES       4186    // CC
#define DID_OMITDEFAULTLIB      4187    // CC
#define DID_HOOKCALL            4188    // CC
#define DID_UNSIGNEDCHAR        4189    // CC
#define DID_PPDEFINE            4190    // CC, RC, AS
#define DID_PPUNDEFINE          4191    // CC, RC
#define DID_NULLTERMINATE       4192    // RC (5.0)
#define DID_MAPFILE             4193    // LINK
#define DID_NODEFAULTLIB        4194    // LINK
#define DID_RELEASE             4195    // LINK
#define DID_LARGEADDRESSAWARE   4196    // LINK (5.0)
#define DID_LIBRARIES           4197    // LINK
#define DID_DELAYLOADS          4198    // LINK
#define DID_ENTRYPOINT          4199    // LINK
#define DID_BASEADDRESS         4200    // LINK
#define DID_ALIGNMENT           4201    // LINK
#define DID_STACKRESERVE        4202    // LINK
#define DID_STACKCOMMIT         4203    // LINK
#define DID_VERMAJOR            4204    // LINK
#define DID_VERMINOR            4205    // LINK
#define DID_OSVERMAJOR          4206    // LINK
#define DID_OSVERMINOR          4207    // LINK
#define DID_SUBSYSTEM           4208    // LINK
#define DID_SUBSYSMAJOR         4209    // LINK
#define DID_SUBSYSMINOR         4210    // LINK
#define DID_VERBOSE             4211    // PROJ, RC, MC, LINK, LIB, INST, CAB, SIGN
#define DID_SIGN                4212    // SIGN (5.0)
#define DID_CERTIFICATE         4213    // SIGN (5.0)
#define DID_TIMESTAMPSERVER     4214    // SIGN (5.0)
#define DID_CABORIGINAL         4215    // CB (5.0)
#define DID_CABPOCKETPC         4216    // CB (5.0)
#define DID_CABSMARTPHONE       4217    // CB (5.0)
#define DID_PROGRESS            4218
#define DID_FINDWHAT            4219
#define DID_REPLACEWITH         4220
#define DID_SEARCHUP            4221
#define DID_SEARCHDOWN          4222
#define DID_MATCHCASE           4223
#define DID_WHOLEWORD           4224    // 6.0
#define DID_FINDFORMAT          4225
#define DID_FINDPATH            4226
#define DID_SUBFOLDERS          4227
#define DID_LINENO              4228
#define DID_ADDRESS             4229
#define DID_FUNCNAME            4230
#define DID_LABELLIST           4231
#define DID_LABELNAME           4232
#define DID_LABELVALUE          4233
#define DID_INCLUDES            4234
#define DID_TOOLS               4235
#define DID_TOOLTEXT            4236
#define DID_TOOLCOMMAND         4237
#define DID_TOOLARGUMENTS       4238
#define DID_TOOLFOLDER          4239
#define DID_TOOLCAPTURE         4240
#define DID_HELPFILES           4241
#define DID_HELPTEXT            4242
#define DID_HELPCOMMAND         4243
#define DID_KEYCATEGORIES       4244
#define DID_KEYCOMMANDS         4245
#define DID_KEYLIST             4246
#define DID_ADDINS              4247
#define DID_SNIPPETGROUP        4248    // 5.0
#define DID_SNIPPETS            4249    // 5.0
#define DID_SNIPPETNAME         4250    // 5.0
#define DID_SNIPPETCODE         4251    // 5.0
#define DID_IMPORTASLIST        4252    // 4.50 (from 3.0 radio buttons)
#define DID_CUSTOMLIST          4253
#define DID_CUSTOMSAMPLE        4254
#define DID_RETAINRATIO         4255    // 5.0
#define DID_DEGREES             4256
#define DID_RADIUS              4257
#define DID_AMOUNT              4258
#define DID_CURVATURE           4259
#define DID_OFFSETX             4260    // 4.0
#define DID_OFFSETXSPIN         4261    // 4.0
#define DID_OFFSETY             4262    // 4.0
#define DID_OFFSETYSPIN         4263    // 4.0
#define DID_HUE                 4264
#define DID_HUESPIN             4265    // 5.0
#define DID_SATURATION          4266
#define DID_SATURATIONSPIN      4267    // 5.0
#define DID_BRIGHTNESS          4268
#define DID_BRIGHTNESSSPIN      4269    // 5.0
#define DID_PREVIEW             4270
#define DID_TOOLBAR             4271
#define DID_GENERIC             4272
#define DID_GENERIC2            4273    // 6.0
#define DID_HIDDEN              4274
#define DID_PROJECTLIST         4275    // 4.0
#define DID_DEPENDENCYLIST      4276    // 4.0
#define DID_ZIPCOMMENT          4277
#define DID_ZIPFILES            4278
#define DID_BROWSETAGS          4279
#define DID_BREAKONHITCOUNT     4280    // 4.0
#define DID_BREAKCOUNT          4281    // 4.0
#define DID_BREAKONEXPRESSION   4282    // 4.0
#define DID_BREAKEXPRESSION     4283    // 4.0
#define DID_BREAKENABLED        4284    // 4.0
#define DID_WATCHBYLIST         4285    // 4.0
#define DID_WATCHLIST           4286
#define DID_WATCHBYEXPRESSION   4287    // 4.0
#define DID_WATCHEXPRESSION     4288    // 4.0
#define DID_WATCHRESULT         4289    // 4.0
#define DID_HWBREAKTYPE1        4290    // 4.0
#define DID_HWBREAKTYPE2        4291    // 4.0
#define DID_HWBREAKTYPE3        4292    // 4.0
#define DID_HWBREAKTYPE4        4293    // 4.0
#define DID_HWBREAKADDRESS1     4294    // 4.0
#define DID_HWBREAKADDRESS2     4295    // 4.0
#define DID_HWBREAKADDRESS3     4296    // 4.0
#define DID_HWBREAKADDRESS4     4297    // 4.0
#define DID_HWBREAKSIZE1        4298    // 4.0
#define DID_HWBREAKSIZE2        4299    // 4.0
#define DID_HWBREAKSIZE3        4300    // 4.0
#define DID_HWBREAKSIZE4        4301    // 4.0
#define DID_CF                  4302
#define DID_PF                  4303
#define DID_AF                  4304
#define DID_ZF                  4305
#define DID_SF                  4306
#define DID_DF                  4307
#define DID_OF                  4308
#define DID_IM                  4309
#define DID_DM                  4310
#define DID_ZM                  4311
#define DID_OM                  4312
#define DID_UM                  4313
#define DID_PM                  4314
#define DID_PC0                 4315
#define DID_PC1                 4316
#define DID_PC2                 4317
#define DID_PC3                 4318
#define DID_RC0                 4319
#define DID_RC1                 4320
#define DID_RC2                 4321
#define DID_RC3                 4322
#define DID_IE                  4323
#define DID_DE                  4324
#define DID_ZE                  4325
#define DID_OE                  4326
#define DID_UE                  4327
#define DID_PE                  4328
#define DID_STKFAULT            4329
#define DID_ES                  4330
#define DID_TOP                 4331
#define DID_TAG0                4332
#define DID_TAG1                4333
#define DID_TAG2                4334
#define DID_TAG3                4335
#define DID_TAG4                4336
#define DID_TAG5                4337
#define DID_TAG6                4338
#define DID_TAG7                4339
#define DID_DAZ                 4340
#define DID_FZ                  4341
#define DID_PALETTE             4342    // 4.0
#define DID_HSV                 4343    // 4.0
#define DID_RED                 4344    // 4.0
#define DID_REDSPIN             4345    // 5.0
#define DID_GREEN               4346    // 4.0
#define DID_GREENSPIN           4347    // 5.0
#define DID_BLUE                4348    // 4.0
#define DID_BLUESPIN            4349    // 5.0
#define DID_ALPHA               4350    // 4.0
#define DID_ALPHASPIN           4351    // 5.0
#define DID_ALPHALABEL          4352    // 4.0
#define DID_ALPHATRACK          4353    // 4.0
#define DID_ALPHAFRAME          4354    // 4.0

#ifndef stc32
#define stc32                   0x45F   // = 1119
#endif

// Private Button ID's.
#define IDOK                    1       // For help project.
#define IDCANCEL                2       // For help project.
#define IDADD                   21
#define IDCHANGE                22
#define IDDEL                   23
#define IDDEFAULT               24
#define IDREPLACE               25
#define IDREPLACEALL            26
#define IDBROWSE                27
#define IDTYPEDKEY              28
#define IDSETUP                 29
#define IDSYSDEFS               30      // 5.0

//
// Various resource ID's ----------------------------------------------------
//

// Menu ID's.
//
#define IDR_MNU_MAIN            2001
#define IDR_MNU_EDIT            2002
#define IDR_MNU_PICT            2003
#define IDR_MNU_FORM            2004
#define IDR_MNU_MENU            2005
#define IDR_MNU_MESS            2006    // 3.0
#define IDR_MNU_RSRC            2007
#define IDR_MNU_DBG             2008

#define IDR_CTX_EDIT            2009
#define IDR_CTX_PICT            2010
#define IDR_CTX_FORM            2011
#define IDR_CTX_TEXT            2012
#define IDR_CTX_MESS            2013    // 3.0
#define IDR_CTX_MENU            2014
#define IDR_CTX_ACCL            2015
#define IDR_CTX_VERS            2016
#define IDR_CTX_ANIM            2017
#define IDR_CTX_RSRC            2018
#define IDR_CTX_DUMP            2019
#define IDR_CTX_PROJPANE        2020    // 4.0
#define IDR_CTX_PROJSRCWKS      2021    // 4.0
#define IDR_CTX_PROJSRCPROJ     2022    // 4.0
#define IDR_CTX_PROJSRCFILE     2023    // 4.0
#define IDR_CTX_PROJTARGWKS     2024    // 5.0
#define IDR_CTX_PROJTARGPROJ    2025    // 4.0
#define IDR_CTX_PROJTARGFILE    2026    // 4.0
#define IDR_CTX_BUILD           2027
#define IDR_CTX_PROPS           2028
#define IDR_CTX_OUTPUT          2029
#define IDR_CTX_TRACE           2030
#define IDR_CTX_DBGSRC          2031
#define IDR_CTX_DBGMIX          2032
#define IDR_CTX_BREAK           2033    // 4.0
#define IDR_CTX_WATCH           2034
#define IDR_CTX_SYMBOL          2035    // 4.50
#define IDR_CTX_MEMORY          2036    // 4.50
#define IDR_CTX_REGS            2037    // 5.0
#define IDR_CTX_DROP            2038
#define IDR_CTX_TABS            2039

#define IDR_ACC_MAIN            3001

// Bitmap ID's.
//
#define IDR_BMP_BANNER          8001    // About banner.
#define IDR_BMP_MAINTOOLS       8002    // Application toolbar.
#define IDR_BMP_PICTTOOLS       8003    // 5.0
#define IDR_BMP_DRAWTOOLS       8004
#define IDR_BMP_PALTOOLS        8005    // 4.0
#define IDR_BMP_BRUSHTYPES      8006
#define IDR_BMP_SELTYPES        8007
#define IDR_BMP_ERASETYPES      8008
#define IDR_BMP_LINETYPES       8009    // 4.0
#define IDR_BMP_SHAPETYPES      8010
#define IDR_BMP_SPRAYTYPES      8011
#define IDR_BMP_ZOOMTYPES       8012
#define IDR_BMP_GRADTYPES       8013    // 5.0
#define IDR_BMP_FORMTOOLS       8014
#define IDR_BMP_FORMEDIT        8015    // 5.0
#define IDR_BMP_HANDLE1         8016
#define IDR_BMP_HANDLE2         8017
#define IDR_BMP_MENUTOOLS       8018    // 5.0
#define IDR_BMP_RSRCTREE        8019
#define IDR_BMP_PROJVIEWS       8020
#define IDR_BMP_PROJTOOLS       8021
#define IDR_BMP_PROJTREE        8022
#define IDR_BMP_PROJBROW        8023
#define IDR_BMP_FOLDERTOOLS     8024
#define IDR_BMP_SNIPPETTOOLS    8025    // 5.0
#define IDR_BMP_MACROLIST       8026
#define IDR_BMP_DEBUGREGS       8027
#define IDR_BMP_SYMTREE         8028
#define IDR_BMP_EDITCUES        8029
#define IDR_BMP_BREAKCUES       8030    // 4.0
#define IDR_BMP_FORMCUES        8031    // 5.0
#define IDR_BMP_ADVANCED        8032    // 6.0
// XP style.
#define IDR_BMP_MAINTOOLS_XP    8033
#define IDR_BMP_PICTTOOLS_XP    8034    // 5.0
#define IDR_BMP_DRAWTOOLS_XP    8035
#define IDR_BMP_PALTOOLS_XP     8036    // 4.0
#define IDR_BMP_FORMTOOLS_XP    8037
#define IDR_BMP_FORMEDIT_XP     8038    // 5.0
#define IDR_BMP_MENUTOOLS_XP    8039    // 5.0
#define IDR_BMP_RSRCTREE_XP     8040
#define IDR_BMP_PROJVIEWS_XP    8041
#define IDR_BMP_PROJTOOLS_XP    8042
#define IDR_BMP_PROJTREE_XP     8043
#define IDR_BMP_PROJBROW_XP     8044
#define IDR_BMP_FOLDERTOOLS_XP  8045
#define IDR_BMP_SNIPPETTOOLS_XP 8046    // 5.0
#define IDR_BMP_DEBUGREGS_XP    8047    // 5.0
#define IDR_BMP_EDITCUES_XP     8048
#define IDR_BMP_BREAKCUES_XP    8049    // 4.0
#define IDR_BMP_FORMCUES_XP     8050    // 5.0
#define IDR_BMP_ADVANCED_XP     8051    // 6.0
// Alpha channel patterns.
#define IDR_BMP_ALPHAZOOM2      8052    // 4.0
#define IDR_BMP_ALPHAZOOM6      8053    // 4.0
#define IDR_BMP_ALPHAZOOM8      8054    // 4.0

// Icon ID's.
//
#define IDR_ICO_MAIN            8055    // Application icon.
#define IDR_ICO_SRCFILE         8056    // Explorer association icon (.c, .asm).
#define IDR_ICO_WRKFILE         8057    // Explorer association icon (.h, .inc, .rc, ...).
#define IDR_ICO_SOURCE          8058
#define IDR_ICO_IMAGE           8059
#define IDR_ICO_DIALOG          8060
#define IDR_ICO_DEBUG           8061
#define IDR_ICO_TEXT            8062
#define IDR_ICO_MESSAGE         8063    // 3.0
#define IDR_ICO_MENU            8064
#define IDR_ICO_ACCEL           8065
#define IDR_ICO_VERSION         8066
#define IDR_ICO_ANIM            8067
#define IDR_ICO_RSRC            8068
#define IDR_ICO_DUMP            8069
#define IDR_ICO_W32APP          8070
#define IDR_ICO_W32DLL          8071
#define IDR_ICO_W32LIB          8072
#define IDR_ICO_W32CON          8073
#define IDR_ICO_W32INST         8074    // 5.0
#define IDR_ICO_W64APP          8075    // 5.0
#define IDR_ICO_W64DLL          8076    // 5.0
#define IDR_ICO_W64LIB          8077    // 5.0
#define IDR_ICO_W64CON          8078    // 5.0
#define IDR_ICO_PPCAPP          8079
#define IDR_ICO_PPCDLL          8080
#define IDR_ICO_PPCLIB          8081
#define IDR_ICO_PPCINST         8082    // 5.0
#define IDR_ICO_SPAPP           8083
#define IDR_ICO_SPDLL           8084
#define IDR_ICO_SPLIB           8085
#define IDR_ICO_SPINST          8086    // 5.0
#define IDR_ICO_WIZARD          8087
#define IDR_ICO_CHECK           8088
// XP style.
#define IDR_ICO_W32APP_XP       8089
#define IDR_ICO_W32DLL_XP       8090
#define IDR_ICO_W32LIB_XP       8091
#define IDR_ICO_W32CON_XP       8092
#define IDR_ICO_W32INST_XP      8093    // 5.0
#define IDR_ICO_W64APP_XP       8094    // 5.0
#define IDR_ICO_W64DLL_XP       8095    // 5.0
#define IDR_ICO_W64LIB_XP       8096    // 5.0
#define IDR_ICO_W64CON_XP       8097    // 5.0
#define IDR_ICO_PPCAPP_XP       8098
#define IDR_ICO_PPCDLL_XP       8099
#define IDR_ICO_PPCLIB_XP       8100
#define IDR_ICO_PPCINST_XP      8101    // 5.0
#define IDR_ICO_SPAPP_XP        8102
#define IDR_ICO_SPDLL_XP        8103
#define IDR_ICO_SPLIB_XP        8104
#define IDR_ICO_SPINST_XP       8105    // 5.0
#define IDR_ICO_WIZARD_XP       8106    // 5.0

// Cursor ID's.
//
#define IDR_CUR_RESIZELR        8107
#define IDR_CUR_RESIZEUD        8108
#define IDR_CUR_HOTSPOT         8109
#define IDR_CUR_FLOOD           8110
#define IDR_CUR_SPRAY           8111
#define IDR_CUR_CROSS           8112
#define IDR_CUR_PENCIL          8113
#define IDR_CUR_PICKCOLOR       8114
#define IDR_CUR_MAGNIFY         8115
#define IDR_CUR_OUTSEL          8116
#define IDR_CUR_MOVE            8117
#define IDR_CUR_DROPTOOL        8118
#define IDR_CUR_DRAGMOVE        8119
#define IDR_CUR_DRAGCOPY        8120
#define IDR_CUR_NODROP          8121

// Misc ID's.
//
#define IDR_JPG_SPLASH          8122
#define IDR_RAW_ANIFRAME        8123
#define IDR_DLL_SERVER          8124    // 4.50
#define IDR_WAV_DOH             8125

#endif // _IDS_H
